<?php
/**
 * The template for displaying admania bloglayout11 content
 *
 * @package WordPress
 * @subpackage admania
 * @since admania 1.0
 */
 
get_header(); 

if(!is_paged()) {

	get_sidebar('hometopbuilder'); // Theme Home Top Builder.

}

echo '<main id="admania-maincontent" class="admania-sitemaincontent">';
?>
			<div class="admania-contentarea">
			<?php
				
				if(get_theme_mod('admania_latest_post_title_setting') != ''){ 				
				?>
				<h3 class="admania-editor-pickers-title"><?php echo  esc_html(get_theme_mod('admania_latest_post_title_setting')); ?></h3>
	            <?php
				}
				?>
				<div class="admania-sitemaincontent_inner">
				<?php
				        $admania_postad1 = admania_get_option('admaniapst101_aftrnthparano') ? admania_get_option('admaniapst101_aftrnthparano') :3;
				        
						$admania_postad2 = admania_get_option('admaniapst102_aftrnthparano') ? admania_get_option('admaniapst102_aftrnthparano') :6;
				
				        $admania_postad3 = admania_get_option('admaniapst103_aftrnthparano') ? admania_get_option('admaniapst103_aftrnthparano') :9;
				
						
						if ( have_posts() ) : 			
								
		                $admania_bylineck = get_theme_mod('admania_ebylfp');
						$admania_counter = 0;
		
						//Start the loop.
						while ( have_posts() ) : the_post();
														
		                $admania_counter++;		
						
					
						
						if($admania_counter  == $admania_postad1):
									
						/*
						* Include the After post Section Ad1 content Template.			
						*/
						get_template_part('tempad-parts/layout10-post','ad1');
						
						endif;
						
						if($admania_counter  == $admania_postad2):
									
						/*
						* Include the After post Section Ad2 content Template.			
						*/
						get_template_part('tempad-parts/layout10-post','ad2');
						
						endif;
						
						if($admania_counter  == $admania_postad3):
									
						/*
						* Include the After post Section Ad3 content Template.			
						*/
						get_template_part('tempad-parts/layout10-post','ad3');
						
						endif;
						
						/*
						* Include the Post-Format-specific template for the content.			
						*/	
						?>		       	   
		   
		    <article id="post-<?php the_ID(); ?>" <?php post_class(array('admania-layout10-postimg')); ?>>
		  			    
				<?php  admania_featuredimage(); ?>											
				<div class="admania-ten-post-entry">
				    <div class="admania-ten-post-entry-left">
						<?php
							
			if( 1 !== (int) $admania_bylineck )  {				
			?>	
		    <div class="admania-ten-post-byline">
			<?php   
			if(get_theme_mod('admania_ppostedby') !== 1) {	 ?>
			<?php  esc_html_e('By','ad-mania'); ?>
			<?php the_author_posts_link(); 
			}			
			if(get_theme_mod('admania_ppostedon') !== 1) { ?>
			<div class="admania-ten-post-line">-</div>
			<?php  esc_html_e('On','ad-mania'); ?>
			<?php the_time(get_option( 'date_format')); ?>			
			<?php } if(get_theme_mod('admania_pcategory') !== 1) { ?>	
            <div class="admania-ten-post-line">-</div>
			<div class="admania-ten-post-category">
				<?php
					
					esc_html_e('In','ad-mania'); ?>
					<?php the_category(' , '); 					  
				
				?>
			</div>	
            <?php 
			}
			?>
			</div>
			<?php
			}	
			
			the_title( sprintf( '<h2 class="admania-ten-post-entrytitle" itemprop="headline"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );
				
			$admania_boxedtrimexcerpt = get_the_content();	
			$admania_boxedshortexcerpt = wp_trim_words( $admania_boxedtrimexcerpt, $amnum_words = 18, $ammore = '.' ); 
			if(!empty($admania_boxedshortexcerpt) != ''){
			?>
			<div class="admania-ten-post-description">
				<p><?php echo wp_kses_stripslashes($admania_boxedshortexcerpt); ?> </p>
			</div>	
			<div class="admania-seven-post-readmore">
				<a href="<?php esc_url(the_permalink()); ?>" class="admania-editmore-link"><?php  echo esc_html(get_theme_mod('admania_post_read_more','Read More')); ?></a>
			</div>
			<?php
			}
			?>
			</div>
			
	        <!-- #entrycontent -## -->
	        </div>
			
			</article>
		   
		  <!-- #post-## -->
		   <?php 
		  
						//	End the loop.
						
						endwhile;			

						// If no content, include the "No posts found" template.
						else :
			
						?>
						<p class="admania_nocntpost">
							<?php esc_html_e('Sorry No Posts were Found..!','ad-mania');  ?>
						</p>
						<?php	

						endif;
				
						admania_paging_nav(); // admania-pagination
								
						/*
						* Include the Before Footer Section Ad Template.			
						*/
			
						get_template_part('tempad-parts/beforefooter','ad');
				
				?>
				</div>
<div class="admania-contentareafooter">
			<div class="screen-reader-text"><?php esc_html_e('This div height required for enabling the sticky sidebar','ad-mania'); ?></div>
		</div>
<!-- .content-area -->
</div>
<?php if(get_theme_mod('admania_dabothsidebar') !== 1) { 
if(get_theme_mod('layt4_cnt_rgtsdbr') !== 1){	
?>
<div class="admania-primarycontentarea">


        <?php
		
		 /*
		 * Include the Right Sidebar Section Ad Template.			
		 */
		
		get_template_part('tempad-parts/rightsidebar','ad');

		get_sidebar('right'); // Theme Right Sidebar

		?>
</div>
<?php
}
}
		
echo '</main>';  //site-main 

if(!is_paged()) {
	
	get_sidebar('homebottombuilder'); // Theme Home Bottom Builder.

}

get_footer(); 