<?php

/**
 * Theme tenth header content.
 *
 * @package WordPress
 * @subpackage Admania
 * @since Admania 1.0
 */
         
$admania_ckthesldpst2 = get_theme_mod('admania_lsttech_catids_setting');	

$admania_latestpstck1 = get_theme_mod('admania_header_top_latest_setting');

if($admania_latestpstck1 == 'random'):

$admania_postorder1 = 'rand';

else:

$admania_postorder1 = 'date';

endif;

if((!empty($admania_ckthesldpst2) != '')):

$admania_ckthesldpst_id2 = explode(',',$admania_ckthesldpst2);
$admaniaheaderslider_lay10args = array( 
'post__in' => $admania_ckthesldpst_id2,
'orderby'=>$admania_postorder1,
'ignore_sticky_posts' => 1
);
endif;


 
	
?>
<div class="admania-header-ten">
    <?php 
	if((!empty($admania_ckthesldpst_id2) != '')){
	// the query  
	$admaniaheaderslider_lay10query = new WP_Query( $admaniaheaderslider_lay10args );
	if(get_theme_mod('admania_header_tp_latest_check_setting') != ''){	 ?>
	<div class="admania-header-ten-top1">	
		<div class="admania-headerinner">
			<div class="admania-header-ten-top1-left">
				<i class="far fa-bookmark"></i> <?php echo esc_html(get_theme_mod('admania_header_tp_latest_text_setting')); ?>
			</div>
			<div class="admania-header-ten-top1-right">
			    <?php 
				while ( $admaniaheaderslider_lay10query->have_posts() ) : $admaniaheaderslider_lay10query->the_post();
				?>
				<h6>
					<a href="<?php the_permalink(); ?>">
						<?php the_title(); ?>
					</a>
				</h6>
				 <?php  
				 endwhile; 
				 wp_reset_postdata();
				?>
			</div>
		</div>
	</div>
	<?php } } ?>
    <div class="admania-header-ten-top">	
        <div class="admania-headerinner">	
		<?php if(has_nav_menu('admania-secondary-menu')): ?>
		<div class="admania-headertopleftalt admania-header10-top-left">		
		<div class="admania-mb-scd-menu-style">
			<span class="admania-mb-scd-menu-bar"></span>
		</div>
		<nav class="admania-secondarymenu admania-pushout-secondary-menu" itemscope="itemscope" itemtype="http://schema.org/SiteNavigationElement">
				<div class="admania-mb-sd-menu-close">					
				</div>
				<div class="admania-popup-menu-logo">
					<a href="<?php echo esc_url(home_url('/'));  ?>" title="<?php bloginfo( 'name' ); ?>" class="admania-fontstlye">
						<?php bloginfo( 'name' ); ?>
					</a>  
					<p><?php bloginfo( 'description' );  ?></p>						
				</div>
				<?php 
				$admania_walker = new admania_walker_nav_menu;
				wp_nav_menu(array( 'menu' => 'admania-secondary-menu', 'theme_location' => 'admania-secondary-menu','walker' => $admania_walker ) );  
				?>
	    </nav>	
		</div>
		<?php endif; ?>
			<div class="admania-headertoprightalt admania-header10-top-right">
				
				<div class="admania-header10-scl-outter">
				<?php
				$admania_searchck = get_theme_mod('admania_hdrsrch');											
				
				if(get_theme_mod('admania_hdfacebook') != false){
				?>
				<div class="admania-header10-scl-list"><a href="<?php echo esc_url(get_theme_mod('admania_hdfacebook')); ?>" class="admania_socialiconfb" target="_blank"><i class="fab fa-facebook"></i></a></div>
				<?php } 
				if(get_theme_mod('admania_hdtwitter') != false) {
				?>
				<div class="admania-header10-scl-list"><a href="<?php echo esc_url(get_theme_mod('admania_hdtwitter')); ?>" class="admania_socialicontwt" target="_blank"><i class="fab fa-twitter"></i></a></div>
				<?php } 
				if(get_theme_mod('admania_hdgoogleplus') != false) {
				?>
				<div class="admania-header10-scl-list"><a href="<?php echo esc_url(get_theme_mod('admania_hdgoogleplus')); ?>" class="admania_socialicongle" target="_blank"><i class="fab fa-google-plus"></i></a></div>
				<?php
				} 
				if(get_theme_mod('admania_hdlinkedin') != false) {
				?>
				<div class="admania-header10-scl-list"><a href="<?php echo esc_url(get_theme_mod('admania_hdlinkedin')); ?>" class="admania_socialiconlnk" target="_blank"><i class="fab fa-linkedin"></i></a></div>
				<?php
				} 
				if(get_theme_mod('admania_hdyoutube') != false) {
				?>
				<div class="admania-header10-scl-list"><a href="<?php echo esc_url(get_theme_mod('admania_hdyoutube')); ?>" class="admania-socialiconyt" target="_blank"><i class="fab fa-youtube"></i></a></div>
				<?php
				} 
				if(get_theme_mod('admania_hdinstagram') != false) {
				?>
				<div class="admania-header10-scl-list"><a href="<?php echo esc_url(get_theme_mod('admania_hdinstagram')); ?>" class="admania_socialiconins" target="_blank"><i class="fab fa-instagram"></i></a></div>
				<?php
				} 
				if(get_theme_mod('admania_hdpinterest') != false) {
				?>
				<div class="admania-header10-scl-list"><a href="<?php echo esc_url(get_theme_mod('admania_hdpinterest')); ?>" class="admania-socialiconpin" target="_blank"><i class="fab fa-pinterest"></i></a></div>
				<?php
				} 
				if(get_theme_mod('admania_hdrss') != false) {
				?>
				<div class="admania-header10-scl-list"><a href="<?php echo esc_url(get_theme_mod('admania_hdrss')); ?>" class="admania-socialiconrss" target="_blank"><i class="fa fa-rss"></i></a></div>
				<?php
				}
				if(get_theme_mod('admania_hdtg') != false) {
				?>
				<div class="admania-header10-scl-list"><a href="<?php echo esc_url(get_theme_mod('admania_hdtg')); ?>" class="admania_socialicontg" target="_blank"><i class="fab fa-telegram"></i></a></div>
				<?php
				} 
                ?>
				</div>
				<div class="admania-header-ten-sclsearch"><span class="admania-header10-sclsearch"><i class="fa fa-share-alt"></i></span></div>
				<?php				
                if(1 != (int) $admania_searchck) {
				?>
				<div class="admania-header10-scl-list"><span class="admania-la10searchicon"><i class="fa fa-search"></i></span></div>
				<div class="admania-lay10headersearchouter">
					<?php get_search_form(); ?>
				</div>
				<?php
				}				
				?>				
			</div>
		</div>
	</div>
	<div class="admania-header-ten-bottom">
		<div class="admania-headerbtminner">
			<div class="admania-header-ten-left admania-lay2headerleft">
			 <?php if(has_custom_logo()) { 				
			
					if(is_home()): ?>
					<h1 class="admania-sitetitle" itemprop="headline">
						<?php the_custom_logo(); ?>
					</h1> <!-- .admania-sitetitle -->
					<?php
					else: 
						the_custom_logo();												
					endif;				
					}
			
				if(1 !== (int) get_theme_mod('admania_header_titledescription_setting','')){
			
				if (is_home()) { ?>
			
				<h1 class="admania-sitetitle admania-restitle1" itemprop="headline">
					<a href="<?php echo esc_url(home_url('/')); ?>" title="<?php bloginfo( 'name' ); ?>">
						<?php bloginfo( 'name' ); ?>
					</a>									
				</h1> <!-- .admania-sitetitle -->
				
				<p><?php bloginfo( 'description' );  ?></p>									
				
				<?php } 				
				
				else { ?>
			
				<div class="admania-sitetitle admania-restitle" itemprop="headline"> 		
					<a class="admania-sitetitle" href="<?php echo esc_url(home_url('/'));  ?>" title="<?php bloginfo( 'name' ); ?>" class="admania-fontstlye">
						<?php bloginfo( 'name' ); ?>
					</a> <!-- .admania-sitetitle -->
					<p><?php bloginfo( 'description' );  ?></p>
				</div>
					
				<?php }	} ?>
					
			</div>			
	        <?php if(has_nav_menu('admania-primary-menu')): ?>
			<div class="admania-header-ten-right admania-lay2headerright">
			    <div class="admania-mb-pm-menu-style">
					<span class="admania-mb-pm-menu-bar"></span>
				</div>
				<nav class="admania_menu admania_lay10_menu admania-push-out-menu" itemscope="itemscope" itemtype="http://schema.org/SiteNavigationElement">
					<div class="admania-mb-pm-menu-close">					
					</div>
					<div class="admania-popup-menu-logo">
						<a href="<?php echo esc_url(home_url('/'));  ?>" title="<?php bloginfo( 'name' ); ?>" class="admania-fontstlye">
							<?php bloginfo( 'name' ); ?>
						</a>  
						<p><?php bloginfo( 'description' );  ?></p>						
					</div>
					<?php 
					$admania_walker = new admania_walker_nav_menu;
					wp_nav_menu(array( 'menu' => 'admania-primary-menu', 'theme_location' => 'admania-primary-menu','walker' => $admania_walker ) );  
					?>
				</nav>	
			</div>
			<?php endif; ?>				
		</div>
	</div>	
</div>
