<?php

/**
 * Theme layout5 header content.
 *
 * @package WordPress
 * @subpackage Admania
 * @since Admania 1.0
 */
         
?>
			<div class="admania-headertoplayt5">
            <div class="admania-headertoplayt5-top">			
				<div class="admania-headerinner">									
					<div class="admania-lay5headerleft">					
					  <?php if(has_custom_logo()) { 				
			
					if(is_home()): ?>
					<h1 class="admania-sitetitle" itemprop="headline">
						<?php the_custom_logo(); ?>
					</h1> <!-- .admania-sitetitle -->
					<?php
					else: 
						the_custom_logo();												
					endif;				
					}
			
				if(1 !== (int) get_theme_mod('admania_header_titledescription_setting','')){
			
				if (is_home()) { ?>
			
				<h1 class="admania-sitetitle admania-restitle1" itemprop="headline">
					<a href="<?php echo esc_url(home_url('/')); ?>" title="<?php bloginfo( 'name' ); ?>">
						<?php bloginfo( 'name' ); ?>
					</a>									
				</h1> <!-- .admania-sitetitle -->
				
				<p><?php bloginfo( 'description' );  ?></p>									
				
				<?php } 				
				
				else { ?>
			
				<div class="admania-sitetitle admania-restitle" itemprop="headline"> 		
					<a class="admania-sitetitle" href="<?php echo esc_url(home_url('/'));  ?>" title="<?php bloginfo( 'name' ); ?>" class="admania-fontstlye">
						<?php bloginfo( 'name' ); ?>
					</a> <!-- .admania-sitetitle -->
					<p><?php bloginfo( 'description' );  ?></p>
				</div>
					
				<?php }	} ?>
														
					</div>
					<div class="admania-lay5headerright">
						<ul>
							<?php
							if(get_theme_mod('admania_hdfacebook') != false){
							?>
							<li><a href="<?php echo esc_url(get_theme_mod('admania_hdfacebook')); ?>" class="admania_socialiconfb" target="_blank"><i class="fab fa-facebook"></i></a></li>
							<?php } 
							if(get_theme_mod('admania_hdtwitter') != false) {
							?>
							<li><a href="<?php echo esc_url(get_theme_mod('admania_hdtwitter')); ?>" class="admania_socialicontwt" target="_blank"><i class="fab fa-twitter"></i></a></li>
							<?php } 
							 
							if(get_theme_mod('admania_hdlinkedin') != false) {
							?>
							<li><a href="<?php echo esc_url(get_theme_mod('admania_hdlinkedin')); ?>" class="admania_socialiconlnk" target="_blank"><i class="fab fa-linkedin"></i></a></li>
							<?php
							} 
							if(get_theme_mod('admania_hdyoutube') != false) {
							?>
							<li><a href="<?php echo esc_url(get_theme_mod('admania_hdyoutube')); ?>" class="admania-socialiconyt" target="_blank"><i class="fab fa-youtube"></i></a></li>
							<?php
							} 
							if(get_theme_mod('admania_hdinstagram') != false) {
							?>
							<li><a href="<?php echo esc_url(get_theme_mod('admania_hdinstagram')); ?>" class="admania_socialiconins" target="_blank"><i class="fab fa-instagram"></i></a></li>
							<?php
							} 
							if(get_theme_mod('admania_hdpinterest') != false) {
							?>
							<li><a href="<?php echo esc_url(get_theme_mod('admania_hdpinterest')); ?>" class="admania-socialiconpin" target="_blank"><i class="fab fa-pinterest"></i></a></li>
							<?php
							} 
							if(get_theme_mod('admania_hdrss') != false) {
							?>
							<li><a href="<?php echo esc_url(get_theme_mod('admania_hdrss')); ?>" class="admania-socialiconrss" target="_blank"><i class="fas fa-rss"></i></a></li>
							<?php
							}
                            if(get_theme_mod('admania_hdtg') != false) {
							?>
							<li><a href="<?php echo esc_url(get_theme_mod('admania_hdtg')); ?>" class="admania_socialicontg" target="_blank"><i class="fab fa-telegram"></i></a></li>
							<?php
							} 								
							?>
						</ul>                       			
					</div>				
				</div>
			</div>
			<div class="admania-headertoplayt5-bottom">
			<div class="admania-headerinner">            
				<?php if(has_nav_menu('admania-primary-menu')): ?>
				<div class="admania-mb-pm-menu-style">
					<span class="admania-mb-pm-menu-bar"></span>
				</div>
				<nav class="admania_menu admania-lay4-menu admania-push-out-menu admania-lay5-menu" itemscope="itemscope" itemtype="http://schema.org/SiteNavigationElement">
					<div class="admania-mb-pm-menu-close">					
					</div>
					<div class="admania-popup-menu-logo">
						<a href="<?php echo esc_url(home_url('/'));  ?>" title="<?php bloginfo( 'name' ); ?>" class="admania-fontstlye">
							<?php bloginfo( 'name' ); ?>
						</a>  
						<p><?php bloginfo( 'description' );  ?></p>						
					</div>
					<?php 
					$admania_walker = new admania_walker_nav_menu;
					wp_nav_menu(array( 'menu' => 'admania-primary-menu', 'theme_location' => 'admania-primary-menu','walker' => $admania_walker ) );  
					?>
				</nav>	
				<?php endif; ?>	
                <?php 
				$admania_searchck = get_theme_mod('admania_hdrsrch');											
				if(   1 != (int) $admania_searchck ):
                ?>						
				<div class="admania-lay5headerright">
                    <span class="admania-la5searchicon">				
					<i class="fa fa-search"></i>
					</span>
				</div>
				<div class="admania-lay5headersearchouter">
				<?php get_search_form(); ?>
				</div>
				<?php endif; ?>				
			</div>			
			</div>
			</div>
	