<?php
/**
 * The template for displaying 404 pages (not found)
 *
 * @package WordPress
 * @subpackage Admania
 * @since Admania 1.0
 */

get_header(); 

echo '<main id="admania-maincontent" class="admania-sitemaincontent" role="main">';
?>

<div class="admania-404contentarea">
  <header class="admania-404header">
    <h1 class="admania-404title">
      <?php esc_html_e( 'Oops! That page can&rsquo;t be found.', 'ad-mania' ); ?>
    </h1>
  </header>
  <!-- .page-header -->
  
  <div class="admania-404content">
    <p>
      <?php esc_html_e( 'It looks like nothing was found at this location. Maybe try a search?', 'ad-mania' ); ?>
    </p>
    <?php get_search_form(); ?>
  </div>
  <!-- .page-content --> 
  
</div>
<?php
echo '</main>';  //site-main 
get_footer(); ?>
