<?php
/**
 * The template for displaying admania bloglayout2 content
 *
 * @package WordPress
 * @subpackage admania
 * @since Admania 1.0
 */
 
get_header(); 

if(!is_paged()) {

	get_sidebar('hometopbuilder'); // Theme Home Top Builder.

}

echo '<main id="admania-maincontent" class="admania-sitemaincontent">';


?>
<div class="admania-content-main-section">
<div class="admania-contentarea">

<div class= "admania-ly2ftsection">

		<?php
 
		 if(is_home() && !is_paged()) {
			
            /*
			* Include the Slider And Featured Content Template.			
			*/

			get_template_part('tempslider-parts/bly2sliderandfeatured','content');	
				
		}
		
		?>
		
</div>


    <?php
			
			  
			   /*
				 * Include the Home Page After Slider Section Ad Template.			
				 */
	             
			get_template_part('tempad-parts/lay2afterslider','ad');	
			
        if(get_theme_mod('admania_latest_post_title_setting') != ''){ 
		?>
		<h3 class="admania-editor-pickers-title"><?php echo  esc_html(get_theme_mod('admania_latest_post_title_setting')); ?></h3>
	    <?php
		}
		?>
		<div class="admania-sitemaincontent_inner">
		<?php
          if ( have_posts() ) : 
	
	      $admania_bylineck = get_theme_mod('admania_ebylfp');
		
		    $admania_counter = 0;
		
			//Start the loop.
			while ( have_posts() ) : the_post();
			
			$admania_counter++;

			?>
			
			<article id="post-<?php the_ID(); ?>" <?php post_class('admania-listpst'); ?>>
				<?php admania_featuredimage();  ?>
				<div class="admania-entryftcontent">
				<?php
				  if(get_theme_mod('admania_ebylfp') !== 1) {
					if(get_theme_mod('admania_pcategory') !== 1) {
					?>
				 <div class="admania-entrymeta"> 
				<?php esc_html_e('In','ad-mania'); ?>
				<?php the_category(' , '); ?>
				 </div>
				<?php } } ?>
				<div class="admania-entryheader">
				  <?php the_title( sprintf( '<h2 class="admania-entrytitle" itemprop="headline"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );?>
				  <div class="admania-entrybyline">
					<?php if ( is_sticky() && is_home() && ! is_paged() ) : ?>
					<span class="admania-stickypost">
					<?php esc_html_e( 'Featured', 'ad-mania' ); ?>
					</span>
					<div class="admania-entrybylinecd">|</div>
					<?php endif; ?>
					<?php
				  if( 1 !== (int) $admania_bylineck )  { 
				   if(get_theme_mod('admania_ppostedby') !== 1) {	
				  esc_html_e('By','ad-mania'); ?>
					<?php the_author_posts_link(); ?>
					<div class="admania-entrybylinecd">|</div>
					<?php  }
				   if(get_theme_mod('admania_ppostedon') !== 1) {
				  ?>
					<?php esc_html_e('On','ad-mania'); ?>
					<?php the_time(get_option( 'date_format'));	  	  
				  }
				  }
				  ?>
				  </div>
				</div>
				<!-- #entryheader -## -->
				<div class="admania-entrycontent">
				
				  <p> <?php 
				  
				  $admania_contineread = '<a href="'.esc_url(get_the_permalink()).'" class="admania-pstcnt admania-editmore-link">
				  '.esc_html(get_theme_mod('admania_post_read_more','Continue Reading')).'
					</a> ';
				  echo wp_trim_words(get_the_content(),27,''. $admania_contineread.'');  ?> </p>
				  <?php
				wp_link_pages( array(
							'before'      => '<div class="admania_pagelinks"><span class="admania_pagelinkstitle">' . esc_html__( 'Pages:', 'ad-mania' ) . '</span>',
							'after'       => '</div>',
							'link_before' => '<span>',
							'link_after'  => '</span>',
							'pagelink'    => '<span class="admania_screenreadertext">' . esc_html__( 'Page', 'ad-mania' ) . ' </span><span class="admania_pglnlksaf">%</span>',
							'separator'   => '<span class="admania_screenreadertext">, </span>',
						) );
						?>
				</div>
				<!-- #entrycontent -## -->
				
				
				</div>
			  </article>
			
			<?php
				
			if($admania_counter % 4 == 0):
			
				/*
				* Include the Right Sidebar Section Ad Template.			
				*/
					
				get_template_part('tempad-parts/afterlistpost','ad');

			endif;
				
			// End the loop.
			endwhile;			

			// If no content, include the "No posts found" template.
			else :
		
			esc_html_e('Sorry No Posts Were Found','ad-mania');		

			endif;
			
			admania_paging_nav(); // admania-pagination
			
				
			?>

  <div class="admania-contentareafooter">
	<div class="screen-reader-text"><?php esc_html_e('This div height required for the sticky sidebar','ad-mania'); ?></div>
  </div>
</div>
</div>
<!-- .content-area -->
<?php if(get_theme_mod('admania_dabothsidebar') !== 1) { 
if(get_theme_mod('layt4_cnt_rgtsdbr') !== 1){	
?>
<div class="admania-primarycontentarea">


        <?php
		
		 /*
		 * Include the Right Sidebar Section Ad Template.			
		 */
		
		get_template_part('tempad-parts/rightsidebar','ad');

		get_sidebar('right'); // Theme Right Sidebar

		?>
</div>
<?php
}
}
?>
</div>
<?php
echo '</main>';  //site-main 

if(!is_paged()) {
	
	get_sidebar('homebottombuilder'); // Theme Home Bottom Builder.

}

get_footer(); 
 
 
