<?php
/**
 * The template part for displaying single posts
 *
 * @package WordPress
 * @subpackage Admania
 * @since Admania 1.0
 */

$admania_spblog_layout = get_theme_mod('admania_splyts_scheme','amsplyt4'); 

/*
* Include the Before Single Post Content Section Ad Template.			
*/
			
get_template_part('tempad-parts/singlepostbf','ad');

?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    
	<?php if(($admania_spblog_layout !== 'amsplyt6') && ($admania_spblog_layout !== 'amsplyt7')) { ?>
	
	<?php if(($admania_spblog_layout === 'amsplyt5')) {	?>
	
	<div class="admania-entry-featured-image">
	
	<?php if(($admania_spblog_layout !== 'amsplyt4')) {	?>
	<?php  if(get_theme_mod('admania_dsftdimg') != '') { ?>
		<?php admania_featuredimage(); ?>	
	<?php } } ?>
	
	</div>
	
	<?php } ?>
	
	<header class="admania-entryheader">
	
	   	<?php
		
        if(get_theme_mod('admania_breadcrumb_post') != '') {
		
			admania_breadcrumb(); // Admania-BreadCrumb
		
		}

		the_title( '<h1 class="admania-entrytitle" itemprop="headline">', '</h1>' ); 
		
		admania_entrymeta(); // Admania-EntryMeta
		
		?>
		
	 
	</header><!-- .entry-header -->

	<?php if(($admania_spblog_layout === 'amsplyt4') || ($admania_spblog_layout !== 'amsplyt5')) {	?>
	
	<?php  if(get_theme_mod('admania_dsftdimg') != '') { ?>
	    <div class="admania-single-post-ftimage">
			<?php admania_featuredimage(); ?>	
		</div>
	<?php } } } ?>

	<div class="admania-entrycontent">
	
		<?php
		if($admania_spblog_layout === 'amsplyt5') {
		if(get_theme_mod('hm_postlay5sglstkyad') != ''){
		?>
		<div class="admania-post-layt5-left">
		<?php
		}
		}
		if($admania_spblog_layout === 'amsplyt2') {
			
			get_template_part('tempad-parts/singlelay3sticky','ad');
		
		?>		
		<div class="admania-lay3entrycontentright">
		<?php
		}		
		
		/*
		* Include the Before Single Post Content Section Ad Template.			
		*/
			
		  get_template_part('tempad-parts/singlecontenttop','ad');
		
		  the_content();

	      wp_link_pages( array(
				'before'      => '<div class="admania_pagelinks"><span class="admania_pagelinkstitle">' . esc_html__( 'Pages:', 'ad-mania' ) . '</span>',
				'after'       => '</div>',
				'link_before' => '<span>',
				'link_after'  => '</span>',
				'pagelink'    => '<span class="admania_screenreadertext">' . esc_html__( 'Page', 'ad-mania' ) . ' </span><span class="admania_pglnlksaf">%</span>',
				'separator'   => '<span class="admania_screenreadertext">, </span>',
			) );
			?>
			<div class="admania-tag">
	
				<span class="admania-tagslinks">
					<?php the_tags(''); ?>
				</span>
					
		    </div>
			
			<?php
			
			/*
			* Include the Before Single Post Content Section Bottom Ad Template.			
			*/

			get_template_part('tempad-parts/singlecontentbottm','ad');
			
			
		if($admania_spblog_layout === 'amsplyt2') {
		?>	
        </div>
		<?php
		}
		if($admania_spblog_layout === 'amsplyt5') {
		if(get_theme_mod('hm_postlay5sglstkyad') != ''){	
		?>
        </div>
		<?php
		}
		get_template_part('tempad-parts/singlelay5sticky','ad');
		}
		?>

	</div><!-- .entry-content -->

	<footer class="admania-entryfooter admania-entrypgfooter">
		
		    <div class="admania-postsharecnt">
    
			<?php
					
				if(get_theme_mod('admania_active_postsocialshare') != '') {	
				
				?>
				
				<div class="admania-singleshare">					
				  
					<ul class="admania_postsocial admania-socialsharecount">
						         		  
						<?php 
							if(get_theme_mod('admania_postsocialfb') !== 1){ 
						?>
						<li class="admania_share_fb"> <a href="//www.facebook.com/sharer.php?u=<?php esc_url(the_permalink()); ?>&amp;t=<?php echo htmlspecialchars(urlencode(html_entity_decode(esc_html(get_the_title()), ENT_COMPAT, 'UTF-8')), ENT_COMPAT, 'UTF-8'); ?>" data-link="//www.facebook.com/sharer.php?u=<?php esc_url(the_permalink()); ?>&amp;t=<?php echo htmlspecialchars(urlencode(html_entity_decode(esc_html(get_the_title()), ENT_COMPAT, 'UTF-8')), ENT_COMPAT, 'UTF-8'); ?>" target="_blank" onclick="javascript:window.open(this.href,'','menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=800,width=800');return false;"> <i class="fab fa-facebook"></i><span class="admania-sharetext"><?php esc_html_e('Facebook','ad-mania'); ?></span></a>
						</li>
						<!--facebook-->
						<?php						
						}
						if(get_theme_mod('admania_postsocialfblike') !== 1){ ?>
						<li class="admania_share_fb admania-share-fblk"> 
						<div id="fb-root"></div>
						<script>
						(function(d, s, id) {
						  var js, fjs = d.getElementsByTagName(s)[0];
						  if (d.getElementById(id)) return;
						  js = d.createElement(s); js.id = id;
						  js.src = "//connect.facebook.net/en_GB/sdk.js#xfbml=1&version=v2.9";
						  fjs.parentNode.insertBefore(js, fjs);
						}(document, 'script', 'facebook-jssdk'));
						</script>
						<div class="fb-like" data-href="<?php the_permalink(); ?>" data-layout="button_count" data-action="like" data-size="small" data-show-faces="true" data-share="false"></div>
						</li>
						<!--facebook-->
						<?php						
						}						
						if(get_theme_mod('admania_postsocialtwitter') !== 1) {?>
						  <li class="admania_share_tweet"><a href="//twitter.com/share?text=<?php echo htmlspecialchars(urlencode(html_entity_decode(esc_html(get_the_title()), ENT_COMPAT, 'UTF-8')), ENT_COMPAT, 'UTF-8'); ?>&amp;url=<?php esc_url(the_permalink()); ?>" data-link="//twitter.com/share?text=<?php echo htmlspecialchars(urlencode(html_entity_decode(esc_html(get_the_title()), ENT_COMPAT, 'UTF-8')), ENT_COMPAT, 'UTF-8'); ?>&amp;url=<?php esc_url(the_permalink()); ?>" target="_blank" onclick="javascript:window.open(this.href,'','menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=800,width=800'); return false;"> <i class="fab fa-twitter"></i><span class="admania-sharetext"><?php esc_html_e('Twitter','ad-mania'); ?></span></a>
						  </li>
						<!--twitter-->	
						<?php }if(get_theme_mod('admania_postsociallinkedin') !== 1){ ?>
						<li class="admania_share_linkedin"> <a target="_blank" href="//www.linkedin.com/shareArticle?mini=true&amp;url=<?php esc_url(the_permalink()); ?>" data-link="//www.linkedin.com/shareArticle?mini=true&amp;url=<?php esc_url(the_permalink()); ?>" onclick="javascript:window.open(this.href,'','menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=800,width=800'); return false;"> <i class="fab fa-linkedin"></i><span class="admania-sharetext"><?php esc_html_e('Linkedin','ad-mania'); ?></span></a> 
						</li>
						<!--linkedin--> 						  
						<?php }
					$admania_pinImage = '';
					if(get_theme_mod('admania_postsocialpinterest') !== 1){
											
						$admania_pinterestimage = wp_get_attachment_image_src( get_post_thumbnail_id( $post->ID ), 'full' );
						$admania_pinimage = $admania_pinterestimage[0];
						?>
						<li class="admania_share_pintrest"> 
						<a target="_blank" href="//pinterest.com/pin/create/bookmarklet/?url=<?php echo urlencode(esc_url(get_permalink( $post->ID ))).'&amp;media='.esc_url($admania_pinimage).'&amp;description='. htmlspecialchars(urlencode(html_entity_decode(esc_html(get_the_title( $post->ID )), ENT_COMPAT, 'UTF-8')), ENT_COMPAT, 'UTF-8');?>" data-link="//pinterest.com/pin/create/bookmarklet/?url=<?php echo urlencode(esc_url(get_permalink( $post->ID ))).'&amp;media='.esc_url($admania_pinImage).'&amp;description='. htmlspecialchars(urlencode(html_entity_decode(esc_html(get_the_title( $post->ID )), ENT_COMPAT, 'UTF-8')), ENT_COMPAT, 'UTF-8');?>" onclick="javascript:window.open(this.href,'','menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=800,width=800'); return false;"> <i class="fab fa-pinterest"></i><span class="admania-sharetext"><?php esc_html_e('Pinterest','ad-mania'); ?></span></a>
						</li>
						 <!--pinterest-->						  
						<?php } 						
						if(get_theme_mod('admania_postsocialbuffer') != ''){ 
						?>                        
                        <li class="admania_share_buffer">      
						 <a target="_blank" href="//bufferapp.com/add?url=<?php esc_url(the_permalink()); ?>&amp;text=<?php echo htmlspecialchars(urlencode(html_entity_decode(esc_html(get_the_title()), ENT_COMPAT, 'UTF-8')), ENT_COMPAT, 'UTF-8'); ?>&amp;utm_source=<?php esc_url(the_permalink()); ?>&amp;utm_medium=<?php esc_url(the_permalink()); ?>&amp;utm_campaign=buffer&amp;source=button" onclick="javascript:window.open(this.href,'','menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=800,width=800'); return false;">
							<i class="fa-stack-exchange fab"></i>
							<span class="admania-sharetext"><?php esc_html_e('Buffer','ad-mania'); ?></span>
						 </a>
						</li>
						<?php } if(get_theme_mod('admania_postsocialpocket') != ''){ ?>
						<li class="admania_share_pocket">       
							<a target="_blank" href="//getpocket.com/save?title=<?php echo 
								esc_html(get_the_title()); ?>&amp;url=<?php esc_url(the_permalink()); ?>" onclick="javascript:window.open(this.href,'','menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=800,width=800'); return false;">
								<i class="admania-icon-pckt fa"></i>
								<span class="admania-sharetext"><?php esc_html_e('Pocket','ad-mania'); ?></span>
							</a>     
						</li>
						<?php }
						if(get_theme_mod('admania_postsocialstumble') != ''){ ?>
						<li class="admania_share_stumble"> 
						<a target="_blank" href="//www.stumbleupon.com/submit?url=<?php esc_url(the_permalink()); ?>" onclick="javascript:window.open(this.href,'','menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=800,width=800'); return false;"> <i class="fab fa-stumbleupon"></i><span class="admania-sharetext"><?php esc_html_e('stumbleupon','ad-mania'); ?></span></a> </li>
						<?php }
						if(get_theme_mod('admania_postsocialredit') != '') {
						?>
						<li class="admania_share_reddit"> <a target="_blank" href="//www.reddit.com/submit?url=<?php esc_url(the_permalink()); ?>&amp;title=<?php echo htmlspecialchars(urlencode(html_entity_decode(esc_html(get_the_title()), ENT_COMPAT, 'UTF-8')), ENT_COMPAT, 'UTF-8'); ?>" onclick="javascript:window.open(this.href,'','menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=800,width=800'); return false;"> <i class="fa-reddit fab"></i><span class="admania-sharetext"><?php esc_html_e('Reddit','ad-mania'); ?></span></a> </li>
						<?php			
						}
						if(get_theme_mod('admania_postsocialwhatsapp') != '' && wp_is_mobile()){ ?>            
                        <div class="admania-whatsup"> <a href="whatsapp://send?text=<?php echo esc_html(the_title());?> <?php echo urlencode(esc_url(get_permalink())); ?>" data-action="share/whatsapp/share" onclick="javascript:window.open(this.href,'','menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=800,width=800'); return false;"><i class="icon fa fa-whatsapp"></i><span class="admania-sharetext"><?php esc_html_e('Whatsapp','ad-mania'); ?></span></a></div>
						<?php } ?>  
						</ul>
				</div>
				<!--End of the Single post social share section--> 
			<?php } ?>
    </div>	
	</footer><!-- .entry-footer -->		
		<?php
		
        /*
		 *  Include the author bio template		
		 */
		
		get_template_part( 'author','bio' );

        if(get_theme_mod('admania_snglpaginationpn') !== 1) {		
				
			admania_postnav(); // single post nav
		
		}
						
		admania_relatedpost(); // Related post 		  
		
		if(get_theme_mod('admania_postoptincodechk') != '') {
		
		?>
	
	    <div class="admania-postoptionbox">
				
					<h4 class="admania-postoptionboxheading"><?php  echo esc_html(get_theme_mod('admania_postoptinheading')); ?></h4>
					
					<p class="admania_subheading"><?php echo esc_html(get_theme_mod('admania_postoptinheading2')); ?></p>
					
					<form class="admania_afformwrapperr" target="_blank" action="<?php echo esc_url(get_theme_mod('admania_postoptintypeurl')); ?>" method="post">
						
						<?php echo stripslashes(html_entity_decode(get_theme_mod('admania_postoptintypehidden'))); ?> 
                    
						<i class="admania-nicon">
                      
						<?php
						
						if(get_theme_mod('admania_postoptintypeplaceholdername') !== false):
							$admania_postopt_name = get_theme_mod('admania_postoptintypeplaceholdername');
						else:
							$admania_postopt_name = 'Your Name';
						endif;					  
					  
						if(get_theme_mod('admania_postoptintypeplaceholderemail') !== false):
						  $admania_postopt_placeholderemail = get_theme_mod('admania_postoptintypeplaceholderemail');
						else:
						  $admania_postopt_placeholderemail = 'Your Email';
						endif;					  
					  
					    if(get_theme_mod('admania_postoptintypesubmit') !== false):
							$admania_postopt_submit = get_theme_mod('admania_postoptintypesubmit');
						else:
							$admania_postopt_submit = 'Go!';
						endif;
						
						?>  						
							<input type="text" name="<?php echo esc_attr(get_theme_mod('admania_postoptintypename')); ?>" onfocus="if (this.value == '<?php echo esc_attr($admania_postopt_name); ?>') {this.value = '';}" onblur="if (this.value == '') {this.value = '<?php echo esc_attr($admania_postopt_name); ?>';}" value="<?php echo esc_attr($admania_postopt_name); ?>">
						</i>
						
						<i class="admania-eicon">
							<input type="text"  name="<?php echo esc_attr(get_theme_mod('admania_postoptintypeemail')); ?>" onfocus="if(this.value == '<?php echo esc_attr($admania_postopt_placeholderemail); ?>') {this.value= '';}" onblur="if(this.value == '') {this.value = '<?php echo esc_attr($admania_postopt_placeholderemail); ?>';}" value="<?php echo esc_attr($admania_postopt_placeholderemail); ?>">
						</i> 
						
						<i class="admania_sub_before">
							<input type="submit" name="submit" value="<?php echo esc_html($admania_postopt_submit); ?>">
						</i>
						
					</form>
					
				</div>
				
		<?php	
		}	
		
		/*
		* Include the Single Post After Optin Box Section Ad Template.			
		*/
			
			get_template_part('tempad-parts/singleafteroptin','ad');
			
		?>
		
</article><!-- #post-## -->