<?php
/**
 * The template part for displaying content
 *
 * @package WordPress
 * @subpackage Admania
 * @since Admania 1.0
 */
 



global $admania_counter;

$admania_bylineck = get_theme_mod('admania_ebylfp');

$admania_blog_layout = get_theme_mod('admania_blog_layout_type','amblyt1');

$admania_content_limit = get_the_content();

if($admania_blog_layout == 'amblyt1') {
 
if((1 == $admania_counter % 3)): 
?>

<article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
  <div class="admania-entry">
  <?php admania_featuredimage(); ?>
    <div class="admania-entryheader">
      <?php the_title( sprintf( '<h2 class="admania-entrytitle" itemprop="headline"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );?>
      	  <?php   if( 1 !== (int) $admania_bylineck )  { ?>
					  <div class="admania-entrybyline">
						<?php if(get_theme_mod('admania_ppostedby') !== 1) {	 ?>
						<?php  esc_html_e('By','ad-mania'); ?>
						<?php the_author_posts_link(); ?>
						<div class="admania-entrybylinecd">|</div>
						<?php }
						if ( is_sticky() && is_home() && ! is_paged() ) : ?>
						<span class="admania-stickypost">
						<?php esc_html_e( 'Featured', 'ad-mania' ); ?>
						</span>
						<div class="admania-entrybylinecd">|</div>
						<?php endif; 
					  
					  if( 1 !== (int) $admania_bylineck )  {
						  
					  if(get_theme_mod('admania_pcategory') !== 1) {
					 ?>
					 <?php esc_html_e('In','ad-mania'); ?>
						<?php the_category(' , '); ?>						
						<div class="admania-entrybylinecd">|</div>
						<?php
					  
					  }
					  }
					  
					  ?>
						<?php if(get_theme_mod('admania_ppostedon') !== 1) { ?>
						<?php  esc_html_e('On','ad-mania'); ?>
						<?php the_time(get_option( 'date_format')); ?>
						<?php } ?>
					  </div>
					  <?php } ?>
    </div>
    <!-- #entryheader -## -->
    
    <div class="admania-entrycontent">
      
    <?php 
		 
	 echo wp_kses_stripslashes(wp_trim_words($admania_content_limit,45,'...'));
		 
	 wp_link_pages( array(
				'before'      => '<div class="admania_pagelinks"><span class="admania_pagelinkstitle">' . esc_html__( 'Pages:', 'ad-mania' ) . '</span>',
				'after'       => '</div>',
				'link_before' => '<span>',
				'link_after'  => '</span>',
				'pagelink'    => '<span class="admania_screenreadertext">' . esc_html__( 'Page', 'ad-mania' ) . ' </span><span class="admania_pglnlksaf">%</span>',
				'separator'   => '<span class="admania_screenreadertext">, </span>',
			) );
	 ?>
    </div>
    <!-- #entrycontent -## -->
    <div class="admania-entryfooter">
      <div class="admania-readmorelink"> <a href="<?php esc_url(the_permalink()); ?>">
        <?php  echo esc_html(get_theme_mod('admania_post_read_more','Continue Reading')); ?>
        </a> </div>
		<div class="admania-entryftrscl"> 
			<?php if(get_theme_mod('disable_lay1fb') === 1): ?>
				 <a href="//www.facebook.com/sharer.php?u=<?php esc_url(the_permalink()); ?>&amp;t=<?php echo htmlspecialchars(urlencode(html_entity_decode(get_the_title(), ENT_COMPAT, 'UTF-8')), ENT_COMPAT, 'UTF-8'); ?>" target="_blank" class="admania_fbshare" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=800,width=800');return false;"> <i class="fab fa-facebook"></i> </a> 
			<?php endif; if(get_theme_mod('disable_lay1tw') === 1): ?>
				<a href="//twitter.com/share?text=<?php echo htmlspecialchars(urlencode(html_entity_decode(get_the_title(), ENT_COMPAT, 'UTF-8')), ENT_COMPAT, 'UTF-8'); ?>&amp;url=<?php esc_url(the_permalink()); ?>" target="_blank" class="admania_twtshare" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=800,width=800');return false;"> <i class="fab fa-twitter"></i></a> 
			<?php endif; if(get_theme_mod('disable_lay1lnkd') === 1): ?>
				<a  href="//www.linkedin.com/shareArticle?mini=true&amp;url=<?php esc_url(the_permalink()); ?>" target="_blank" class="admania_lnkshare" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=800,width=800');return false;"> <i class="fa fa-linkedin"></i></a> 
			<?php endif; if(get_theme_mod('disable_lay1stmble') === 1): ?>
				<a  href="//www.stumbleupon.com/submit?url=<?php esc_url(the_permalink()); ?>" class="admania_stumpleshare" target="_blank" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=800,width=800');return false;"> <i class="fa fa-stumbleupon"></i> </a> 
			<?php endif; ?>
		</div>
    </div>
    <!-- #entryfooter -## --> 
  </div>
</article>
<!-- #post-## -->

<?php

elseif(($admania_counter % 3 == 2) || ($admania_counter % 3 == 0)):

				$admania_thumb = get_post_thumbnail_id();
				$admania_imgurl = wp_get_attachment_url( $admania_thumb,'full'); //get img URL
	
				$admania_ytdimg = get_post_meta($post->ID, '_admania_featured_videourl', true); 
				$admania_youtube_matchexp = "/\s*[a-zA-Z\/\/:\.]*youtube.com\/watch\?v=([a-zA-Z0-9\-_]+)([a-zA-Z0-9\/\*\-\_\?\&\;\%\=\.]*)/i";  
				$admania_vimeomatchexp = "/https?:\/\/(?:www\.|player\.)?vimeo.com\/(?:channels\/(?:\w+\/)?|groups\/([^\/]*)\/videos\/|album\/(\d+)\/video\/|video\/|)(\d+)(?:$|\/|\?)/";
				$admania_souncloudmatchexp = "%(?:https?://)(?:www\.)?soundcloud\.com/([\-a-z0-9_]+/[\-a-z0-9_]+)%im";
				$admania_framename = "iframe";	
				
				if (!has_post_thumbnail($post->ID) ) {
			   
				$admania_postdetails = get_post($post->ID);
		
				preg_match_all( '/<img .*?(?=src)src=\"([^\"]+)\"/si', $admania_postdetails->post_content, $admania_allpics );
				if (is_array($admania_allpics[1]) && count($admania_allpics[1])>0) {
				$admania_pic = $admania_allpics[1][0];
				if (strpos($admania_pic,"?")>0) {
				$admania_pic = substr($admania_pic,0,strpos($admania_pic,"?"));
				}
		
				$admania_exturl =  $admania_pic;
				
				}
				}
				
				if(get_theme_mod('admania_dabothsidebar') == 1) {
				$admania_fwidth = '583';
	            $admania_fheight = '388';
				}
				else{				
                if(get_theme_mod('layt4_cnt_frstlaytlstsdbr') == 1) {				
				$admania_fwidth = '408';
	            $admania_fheight = '280';
				}
				else {
				$admania_fwidth = '310';
	            $admania_fheight = '199';	
				}
				}
				$admania_df_post_thumb_url = get_theme_mod('admania_df_postimg_url');
	
				$admania_df_post_imgurl = admania_autoresize($admania_df_post_thumb_url, $admania_fwidth, $admania_fheight, true);
	
				$admania_image = admania_autoresize( $admania_imgurl, $admania_fwidth, $admania_fheight, true ); //resize & crop img
	            
				if(($admania_ytdimg == "")  && ($admania_image == "") && (!empty($admania_exturl) == '')){
					$admania_wotftimg = 'admania-entryimagewot';
				}
				else {
				$admania_wotftimg = '';
				}

if ($admania_counter % 3 == 0):
	 
	 $admania_classgrid = 'admania_gridsecondentry';
	 
	 else:
	 
	 $admania_classgrid = '';	 

endif;
?>
<div class="admania-gridentry <?php echo esc_attr($admania_classgrid); ?>">
  <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
    	<div class="admania-entryimage <?php echo esc_attr($admania_wotftimg); ?>">
						<?php
							if(($admania_ytdimg != "")  || ($admania_image != "")){
		
							if($admania_ytdimg != "") {
							
							if(preg_match($admania_youtube_matchexp , $admania_ytdimg)) {	
							
							$admania_yuvid = preg_replace($admania_youtube_matchexp,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"//www.youtube.com/embed/$1\" allowfullscreen></iframe>",$admania_ytdimg);
							
							echo wp_kses_stripslashes($admania_yuvid);
							
							}
	
							elseif(preg_match($admania_vimeomatchexp , $admania_ytdimg)) {
							
							$admania_vimeovideos = preg_replace( $admania_vimeomatchexp ,"<".esc_attr($admania_framename)." width=\"".absint($admania_fwidth)."\" height=\"".absint($admania_fheight)."\" src=\"//player.vimeo.com/video/$3\" allowfullscreen></iframe>",$admania_ytdimg);
							
							echo wp_kses_stripslashes($admania_vimeovideos);
							
							}
	
							elseif(preg_match( $admania_souncloudmatchexp , $admania_ytdimg)) {	
							
							$admania_souncloudsng = preg_replace( $admania_souncloudmatchexp ,'<'.esc_attr($admania_framename).' width="'.absint($admania_fwidth).'" height="'.absint($admania_fheight).'" scrolling="no" src="https://w.soundcloud.com/player/?url=https://soundcloud.com/$1&amp;auto_play=false&amp;hide_related=false&amp;show_comments=true&amp;show_user=true&amp;show_reposts=false&amp;visual=true"></iframe>',$admania_ytdimg); 
							
							echo wp_kses_stripslashes($admania_souncloudsng);
							
							}
	
						} 		
	
						elseif($admania_image != "" && $admania_ytdimg == "" ) { 
						?>
						<a href="<?php the_permalink(); ?>">
							<img src="<?php echo esc_url($admania_image); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" />
						</a>
						<?php 
						}

						elseif($admania_image == "" && $admania_ytdimg == "" ) { 
					   
					   the_post_thumbnail(); 

						} 	 	

						}
						
						else{
					    
						if(get_theme_mod('admania_df_postimg') != '') {						
						
						$admania_df_post_thumb_url = get_theme_mod('admania_df_postimg_url');
	 
						$admania_df_post_imgurl = admania_autoresize($admania_df_post_thumb_url, $admania_fwidth, $admania_fheight, true);
    
						if(!empty($admania_df_post_imgurl) != '') {
						?>						
						<a href="<?php the_permalink(); ?>">
							<img src="<?php echo esc_url($admania_df_post_imgurl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;" />
						</a>
						<?php
						}	
						else {
						?>						
						<a href="<?php the_permalink(); ?>">
							<img src="<?php echo esc_url($admania_df_post_thumb_url); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;" />
						</a>
						<?php
						}						
						}	
						else {	
						if(!empty($admania_exturl) != ''){
						?>
						<a href="<?php the_permalink(); ?>">
							<img src="<?php echo esc_url($admania_exturl); ?>" title="<?php esc_attr(the_title());  ?>" alt="<?php esc_html_e('img','ad-mania'); ?>" width="<?php echo intval($admania_fwidth); ?>px;" height="<?php echo intval($admania_fheight);?>px;"/>
						</a>
						<?php
						} 
						}	
	                    }
	
					    if(get_theme_mod('admania_ebylfp') !== 1) {
						if(get_theme_mod('admania_pcategory') !== 1) {
						?>
						<div class="admania-entrymeta admania-entrymetablne"> 
						    <span class="admania-cat">
							
							<?php the_category(' , '); ?>
							</span> 
						</div>
						<?php } } ?>
					</div>  
    <div class="admania-entryheader">
      <?php the_title( sprintf( '<h2 class="admania-entrytitle" itemprop="headline"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );?>
      <div class="admania-entrybyline">
        <?php if ( is_sticky() && is_home() && ! is_paged() ) : ?>
        <span class="admania-stickypost">
        <?php esc_html_e( 'Featured', 'ad-mania' ); ?>
        </span>
        <div class="admania-entrybylinecd">|</div>
        <?php endif; ?>
        <?php
	  if( 1 !== (int) $admania_bylineck )  { 
	   if(get_theme_mod('admania_ppostedby') !== 1) {	
	  esc_html_e('By','ad-mania'); ?>
        <?php the_author_posts_link(); ?>
        <div class="admania-entrybylinecd">|</div>
        <?php  }
       if(get_theme_mod('admania_ppostedon') !== 1) {
	  ?>
        <?php esc_html_e('On','ad-mania'); ?>
        <?php the_time(get_option( 'date_format'));	  	  
	  }
	  }
	  ?>
      </div>
    </div>
    <!-- #entryheader -## -->
    <div class="admania-entrycontent">
      <?php 
					$admania_limitexceprt = $admania_content_limit; 	
					$admania_limitexceprt_words = wp_trim_words($admania_content_limit,30,'.');
					?>
					  <p> <?php echo wp_kses_stripslashes($admania_limitexceprt_words);  ?> </p>
      <?php
	wp_link_pages( array(
				'before'      => '<div class="admania_pagelinks"><span class="admania_pagelinkstitle">' . esc_html__( 'Pages:', 'ad-mania' ) . '</span>',
				'after'       => '</div>',
				'link_before' => '<span>',
				'link_after'  => '</span>',
				'pagelink'    => '<span class="admania_screenreadertext">' . esc_html__( 'Page', 'ad-mania' ) . ' </span><span class="admania_pglnlksaf">%</span>',
				'separator'   => '<span class="admania_screenreadertext">, </span>',
			) );
			?>
    </div>
    <!-- #entrycontent -## -->
    
    <div class="admania-entryfooter">
      <div class="admania-readmorelink"> <a href="<?php esc_url(the_permalink()); ?>">
        <?php  echo esc_html(get_theme_mod('admania_post_read_more','Continue Reading')); ?>
        </a> </div>
    </div>
    <!-- #entryfooter -## --> 
    
  </article>
</div>
<?php
endif;


if($admania_counter % 3 == 0):

/*
* Include the Right Sidebar Section Ad Template.			
*/
	
get_template_part('tempad-parts/aftergridpost','ad');

endif;

}

elseif($admania_blog_layout == 'amblyt2') {

if($admania_counter % 4 == 0):

/*
* Include the Right Sidebar Section Ad Template.			
*/

get_template_part('tempad-parts/afterlistpost','ad');

endif;

?>
  <article id="post-<?php the_ID(); ?>" <?php post_class('admania-listpst'); ?>>
    <?php admania_featuredimage();  ?>
	<div class="admania-entryftcontent">
	<?php
	  if(get_theme_mod('admania_ebylfp') !== 1) {
	    if(get_theme_mod('admania_pcategory') !== 1) {
		?>
     <div class="admania-entrymeta"> 
    <?php esc_html_e('In','ad-mania'); ?>
    <?php the_category(' , '); ?>
     </div>
    <?php } } ?>
    <div class="admania-entryheader">
      <?php the_title( sprintf( '<h2 class="admania-entrytitle" itemprop="headline"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );?>
      <div class="admania-entrybyline">
        <?php if ( is_sticky() && is_home() && ! is_paged() ) : ?>
        <span class="admania-stickypost">
        <?php esc_html_e( 'Featured', 'ad-mania' ); ?>
        </span>
        <div class="admania-entrybylinecd">|</div>
        <?php endif; ?>
        <?php
	  if( 1 !== (int) $admania_bylineck )  { 
	   if(get_theme_mod('admania_ppostedby') !== 1) {	
	  esc_html_e('By','ad-mania'); ?>
        <?php the_author_posts_link(); ?>
        <div class="admania-entrybylinecd">|</div>
        <?php  }
       if(get_theme_mod('admania_ppostedon') !== 1) {
	  ?>
        <?php esc_html_e('On','ad-mania'); ?>
        <?php the_time(get_option( 'date_format'));	  	  
	  }
	  }
	  ?>
      </div>
    </div>
     <!-- #entryheader -## -->
   <!-- #entryheader -## -->
    <div class="admania-entrycontent">
    
      <p> 
	  
	  <?php 
	  
	  $admania_contineread = '<a href="'.esc_url(get_the_permalink()).'" class="admania-pstcnt">
      '.esc_html(get_theme_mod('admania_post_read_more','Continue Reading')).'
        </a> ';
	  echo wp_trim_words($admania_content_limit,27,''. $admania_contineread.'');  ?> 
	  
	  </p>
      
	  <?php
	  
		wp_link_pages( array(
				'before'      => '<div class="admania_pagelinks"><span class="admania_pagelinkstitle">' . esc_html__( 'Pages:', 'ad-mania' ) . '</span>',
				'after'       => '</div>',
				'link_before' => '<span>',
				'link_after'  => '</span>',
				'pagelink'    => '<span class="admania_screenreadertext">' . esc_html__( 'Page', 'ad-mania' ) . ' </span><span class="admania_pglnlksaf">%</span>',
				'separator'   => '<span class="admania_screenreadertext">, </span>',
			) );
			
	  ?>
			
    </div>
    <!-- #entrycontent -## -->
    </div>
  </article>
<?php
}


elseif($admania_blog_layout == 'amblyt3') {
	
	if($admania_counter % 5 == 2):

			/*
			* Include the Right Sidebar Section Ad Template.			
			*/
				
			get_template_part('tempad-parts/lay3gridpost','ad');		

			endif;

			?>
			
			<article id="post-<?php the_ID(); ?>" <?php post_class('admania-gridpstlayt3'); ?>>
				<?php admania_featuredimage();  ?>
				<div class="admania-entryftcontent">
				<?php
				  if(get_theme_mod('admania_ebylfp') !== 1) {
					if(get_theme_mod('admania_pcategory') !== 1) {
					?>
				 <div class="admania-entrymeta"> 
				<?php esc_html_e('In','ad-mania'); ?>
				<?php the_category(' , '); ?>
				 </div>
				<?php } } ?>
				<div class="admania-entryheader">
				  <?php the_title( sprintf( '<h2 class="admania-entrytitle admania-gridpostentrytitle" itemprop="headline"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );?>
				  <div class="admania-entrybyline">
					<?php if ( is_sticky() && is_home() && ! is_paged() ) : ?>
					<span class="admania-stickypost">
					<?php esc_html_e( 'Featured', 'ad-mania' ); ?>
					</span>
					<div class="admania-entrybylinecd">|</div>
					<?php endif; ?>
					<?php
				  if( 1 !== (int) $admania_bylineck )  { 
				   if(get_theme_mod('admania_ppostedby') !== 1) {	
				  esc_html_e('By','ad-mania'); ?>
					<?php the_author_posts_link(); ?>
					<div class="admania-entrybylinecd">|</div>
					<?php  }
				   if(get_theme_mod('admania_ppostedon') !== 1) {
				  ?>
					<?php esc_html_e('On','ad-mania'); ?>
					<?php the_time(get_option( 'date_format'));	  	  
				  }
				  }
				  ?>
				  </div>
				</div>
				<!-- #entryheader -## -->
				<div class="admania-entrycontent">
				
				  <p> 
				  <?php 
				  
				  echo wp_trim_words($admania_content_limit,27);  				  
				  				  
				  ?> 
				  </p>
				  <div class="admania-gridpost-entryfooter admania-widgettit">				 
                  <a href="<?php esc_url(the_permalink()); ?>" class="admania-pstrdmr widget-title admania-widgetsbrtit">
        				
						<?php  echo esc_html(get_theme_mod('admania_post_read_more','Continue Reading')); ?>
       			  
				  </a>
				  </div>
				  <?php
				wp_link_pages( array(
							'before'      => '<div class="admania_pagelinks"><span class="admania_pagelinkstitle">' . esc_html__( 'Pages:', 'ad-mania' ) . '</span>',
							'after'       => '</div>',
							'link_before' => '<span>',
							'link_after'  => '</span>',
							'pagelink'    => '<span class="admania_screenreadertext">' . esc_html__( 'Page', 'ad-mania' ) . ' </span><span class="admania_pglnlksaf">%</span>',
							'separator'   => '<span class="admania_screenreadertext">, </span>',
						) );
						?>
				</div>
				<!-- #entrycontent -## -->
				
				
				</div>
		    </article>
			<?php


}


elseif($admania_blog_layout === 'amblyt4') {


 if($admania_counter % 3 == 0):
											
						/*
						* Include the After post Section Ad content Template.			
						*/
						get_template_part('tempad-parts/lay4afpost','ad');
					
						endif;
						?>
						<article id="post-<?php the_ID(); ?>" <?php post_class('admania-layout4listpst'); ?>>
							<?php admania_featuredimage();  
							if(get_theme_mod('admania_ebylfp') !== 1) {
							if(get_theme_mod('admania_pcategory') !== 1) {
							?>
							<div class="admania-entrymeta"> 
								<?php esc_html_e('In','ad-mania'); ?>
								<?php the_category(' , '); ?>
							 </div>
							<?php } } ?>
							<div class="admania-entryheader admania-layt4entryheader">
								<?php the_title( sprintf( '<h2 class="admania-entrytitle" itemprop="headline"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );?>
								<div class="admania-entrybyline">
									<?php if ( is_sticky() && is_home() && ! is_paged() ) : ?>
										<span class="admania-stickypost">
											<?php esc_html_e( 'Featured', 'ad-mania' ); ?>
										</span>
										<div class="admania-entrybylinecd">|</div>
										<?php endif; ?>
										<?php
										if( 1 !== (int) $admania_bylineck )  { 
										   if(get_theme_mod('admania_ppostedby') !== 1) {	
										   esc_html_e('By','ad-mania'); ?>
											<?php the_author_posts_link(); ?>
											<div class="admania-entrybylinecd">|</div>
											<?php  }
										if(get_theme_mod('admania_ppostedon') !== 1) {
										?>
											<?php esc_html_e('On','ad-mania'); ?>
											<?php the_time(get_option( 'date_format'));	  	  
										}
										}
										?>
								</div>
							</div>
											<div class="admania-entrycontent">
										
										  <p> 
										  <?php 
										  
										  echo wp_trim_words($admania_content_limit,27);  				  
														  
										  ?> 
										  </p>
										 
										  <?php
										wp_link_pages( array(
													'before'      => '<div class="admania_pagelinks"><span class="admania_pagelinkstitle">' . esc_html__( 'Pages:', 'ad-mania' ) . '</span>',
													'after'       => '</div>',
													'link_before' => '<span>',
													'link_after'  => '</span>',
													'pagelink'    => '<span class="admania_screenreadertext">' . esc_html__( 'Page', 'ad-mania' ) . ' </span><span class="admania_pglnlksaf">%</span>',
													'separator'   => '<span class="admania_screenreadertext">, </span>',
												) );
												?>
										</div>
										<!-- #entrycontent -## -->
						</article>

<?php
}

elseif($admania_blog_layout == 'amblyt5') {
	
									
if($admania_counter  == 3):
											
/*
* Include the After post Section Ad1 content Template.			
*/
get_template_part('tempad-parts/lay5afpost1','ad');
						
endif;
if($admania_counter  == 7):
/*
* Include the After post Section Ad2 content Template.			
*/
get_template_part('tempad-parts/lay5afpost2','ad');
						
endif;						
if($admania_counter  == 9):
						
/*
* Include the After post Section Ad3 content Template.			
*/
get_template_part('tempad-parts/lay5afpost3','ad');
endif;
						
if($admania_counter  == 13):						
/*
* Include the After post Section Ad4 content Template.			
*/
get_template_part('tempad-parts/lay5afpost4','ad');
endif;

?>
					<article id="post-<?php the_ID(); ?>" <?php post_class('admania-layout5gridpst'); ?>>
							
							<?php admania_featuredimage(); ?>
	
                            <div class="admanialayt5-entrycontent">
							<p> 
								<?php 
										  
									echo wp_trim_words($admania_content_limit,30);  				  
														  
								?> 
							</p>
							<div class="admanialayt5-entryfooter">
								<a href="<?php esc_url(the_permalink()); ?>" class="admania_layt5rdmr">
									
								    <?php  echo esc_html(get_theme_mod('admania_post_read_more','Continue Reading')); ?>
       			  
								</a>
							</div>								
							<?php
								wp_link_pages( array(
									'before'      => '<div class="admania_pagelinks"><span class="admania_pagelinkstitle">' . esc_html__( 'Pages:', 'ad-mania' ) . '</span>',
									'after'       => '</div>',
									'link_before' => '<span>',
									'link_after'  => '</span>',
									'pagelink'    => '<span class="admania_screenreadertext">' . esc_html__( 'Page', 'ad-mania' ) . ' </span><span class="admania_pglnlksaf">%</span>',
									'separator'   => '<span class="admania_screenreadertext">, </span>',
								) );
							?>
							</div>								
							<!-- #entrycontent -## -->
						</article>
	

<?php
}
elseif($admania_blog_layout == 'amblyt6') {
				 if($admania_counter  == 4):
									
						/*
						* Include the After post Section Ad1 content Template.			
						*/
						get_template_part('tempad-parts/bxdgridpost1','ad');
						
						/*
						* Include the After post Section Ad2 content Template.			
						*/
						
						get_template_part('tempad-parts/bxdgridpost2','ad');
						
						endif;
						
						
						if($admania_counter  == 9):
						
						/*
						* Include the After post Section Ad3 content Template.			
						*/
						get_template_part('tempad-parts/bxdgridpost3','ad');
						
						/*
						* Include the After post Section Ad4 content Template.			
						*/
						
						get_template_part('tempad-parts/bxdgridpost4','ad');
						
						endif;
						if((1 == $admania_counter % 3) || (2 == $admania_counter % 3)):
		   
			
				
				if ($admania_counter % 3 == 2):
					 
					 $admania_bxdclassgrid = 'admania-boxedgriditemlast';
					 
					 else:
					 
					 $admania_bxdclassgrid = '';	 

				endif;
		       ?>		       	   
		    <div class="admania-boxedgriditem <?php echo esc_attr($admania_bxdclassgrid); ?>">
		   <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		  			    
		   <?php  admania_featuredimage(); ?>
											
			<div class="admania-boxedpostentry">
							 <?php   
							 if( 1 !== (int) $admania_bylineck )  {
							?>
							<div class="admania_boxedpostecat">
							<?php
						  	 if(get_theme_mod('admania_pcategory') !== 1) {
							 esc_html_e('In','ad-mania'); ?>
						     <?php the_category(' , '); 					  
							 }
							 ?>
							 </div>
							 <?php
							 }
							?>  		
					
			 <?php the_title( sprintf( '<h2 class="admania-entrytitle" itemprop="headline"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );?>
			<?php   
			 if( 1 !== (int) $admania_bylineck )  {				
			?>	
		    <div class="admania_boxedpostbyline">
			<?php   
			if(get_theme_mod('admania_ppostedby') !== 1) {	 ?>
			<?php  esc_html_e('By','ad-mania'); ?>
			<?php the_author_posts_link(); 
			}			
			if(get_theme_mod('admania_ppostedon') !== 1) { ?>
			<div class="admania-entrybylinecd">-</div>
			<?php  esc_html_e('On','ad-mania'); ?>
			<?php the_time(get_option( 'date_format')); ?>			
			<?php } ?>			
			</div>
			 <?php
			 }
		
			$admania_boxedtrimexcerpt = $admania_content_limit;	
			$admania_boxedshortexcerpt = wp_trim_words( $admania_boxedtrimexcerpt, $amnum_words = 18, $ammore = '.' ); 
			if(!empty($admania_boxedshortexcerpt) != ''){
			?>
			<div class="admania-boxedpostdes">
			<p><?php echo wp_kses_stripslashes($admania_boxedshortexcerpt); ?> </p>
			</div>			
			<div class="admania-boxedreadmore">
					<a href="<?php esc_url(the_permalink()); ?>"><?php  echo esc_html(get_theme_mod('admania_post_read_more','Read More')); ?>
       			  </a>
			</div>
			<?php
			}
			?>	
	
	        <!-- #entrycontent -## -->
	        </div>
			</article>
		    </div>
		  <!-- #post-## -->
		   <?php 
		   elseif(($admania_counter % 3 == 0)):		   
		   ?>
		    <div class="admania-boxedlistitem">
		   <article id="post-<?php the_ID(); ?>" <?php post_class(); ?>>
		  
			
		   <?php  admania_featuredimage(); ?>
						
						
						<div class="admania-boxedpostentry">
							 <?php   
							 if( 1 !== (int) $admania_bylineck )  {
							?>
							<div class="admania_boxedpostecat">
							<?php
						  	 if(get_theme_mod('admania_pcategory') !== 1) {
							 esc_html_e('In','ad-mania'); ?>
						     <?php the_category(' , '); 					  
							 }
							 ?>
							 </div>
							 <?php
							 }
							?>  		
					
			 <?php the_title( sprintf( '<h2 class="admania-entrytitle" itemprop="headline"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );?>
			<?php   
			 if( 1 !== (int) $admania_bylineck )  {				
			?>	
		    <div class="admania_boxedpostbyline">
			<?php   
			if(get_theme_mod('admania_ppostedby') !== 1) {	 ?>
			<?php  esc_html_e('By','ad-mania'); ?>
			<?php the_author_posts_link(); 
			}			
			if(get_theme_mod('admania_ppostedon') !== 1) { ?>
			<div class="admania-entrybylinecd">-</div>
			<?php  esc_html_e('On','ad-mania'); ?>
			<?php the_time(get_option( 'date_format')); ?>			
			<?php } ?>			
			</div>
			 <?php
			 }
		
			$admania_boxedtrimexcerpt = $admania_content_limit;	
			$admania_boxedshortexcerpt = wp_trim_words( $admania_boxedtrimexcerpt, $amnum_words = 18, $ammore = '.' ); 
			if(!empty($admania_boxedshortexcerpt) != ''){
			?>
			<div class="admania-boxedpostdes">
			<p><?php echo wp_kses_stripslashes($admania_boxedshortexcerpt); ?> </p>
			</div>			
			<div class="admania-boxedreadmore">
					<a href="<?php esc_url(the_permalink()); ?>"><?php  echo esc_html(get_theme_mod('admania_post_read_more','Read More')); ?></a>
			</div>
			<?php
			}
			?>	
	
	        <!-- #entrycontent -## -->
	        </div>
			</article>
		    </div>
			<?php
		    endif;
		  
}
elseif($admania_blog_layout == 'amblyt7') {
if((0 == $admania_counter % 2)): 
 $admania_last_class = 'admania-layout7-postimg-last';
 else:
 $admania_last_class = 'admania-layout7-postimg-first';
endif;
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(array('admania-layout7-postimg',''.esc_attr($admania_last_class).'')); ?>>
		  			    
		<?php  admania_featuredimage(); ?>
											
				<div class="admania-seven-post-entry">
							 <?php   
							 if( 1 !== (int) $admania_bylineck )  {
							?>
							<div class="admania-seven-post-category">
							<?php
						  	 if(get_theme_mod('admania_pcategory') !== 1) {
							 esc_html_e('In','ad-mania'); ?>
						     <?php the_category(' , '); 					  
							 }
							 ?>
							 </div>
							 <?php
							 }
							?>  		
					
			 <?php the_title( sprintf( '<h2 class="admania-entrytitle" itemprop="headline"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );?>
			<?php   
			 if( 1 !== (int) $admania_bylineck )  {				
			?>	
		    <div class="admania-seven-post-byline">
			<?php   
			if(get_theme_mod('admania_ppostedby') !== 1) {	 ?>
			<?php  esc_html_e('By','ad-mania'); ?>
			<?php the_author_posts_link(); 
			}			
			if(get_theme_mod('admania_ppostedon') !== 1) { ?>
			<div class="admania-seven-post-line">-</div>
			<?php  esc_html_e('On','ad-mania'); ?>
			<?php the_time(get_option( 'date_format')); ?>			
			<?php } ?>			
			</div>
			 <?php
			 }
		
			$admania_boxedtrimexcerpt = $admania_content_limit;	
			$admania_boxedshortexcerpt = wp_trim_words( $admania_boxedtrimexcerpt, $amnum_words = 20, $ammore = '.' ); 
			if(!empty($admania_boxedshortexcerpt) != ''){
			?>
			<div class="admania-seven-post-description">
			<p><?php echo wp_kses_stripslashes($admania_boxedshortexcerpt); ?> </p>
			</div>			
			<div class="admania-seven-post-readmore">
					<a href="<?php esc_url(the_permalink()); ?>"><?php  echo esc_html(get_theme_mod('admania_post_read_more','Read More')); ?></a>
			</div>
			<?php
			}
			?>	
	        <!-- #entrycontent -## -->
	        </div>
			</article>
<?php	  
}
elseif($admania_blog_layout == 'amblyt8') {
?>
	<article id="post-<?php the_ID(); ?>" <?php post_class(array('admania-layout8-postimg')); ?>>
		  			    
		<?php  admania_featuredimage(); ?>		
				
		<div class="admania-eigth-post-entry">
			<?php   
			if( 1 !== (int) $admania_bylineck )  {
			?>
			<div class="admania-eigth-post-category">
				<?php
					if(get_theme_mod('admania_pcategory') !== 1) {
						esc_html_e('In','ad-mania'); ?>
						     <?php the_category(' , '); 					  
					}
				?>
			</div>
			<?php
			}
			?>  		
					
			<?php the_title( sprintf( '<h2 class="admania-entrytitle" itemprop="headline"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );?>
			<?php   
			 if( 1 !== (int) $admania_bylineck )  {				
			?>	
		    <div class="admania-eigth-post-byline">
			<?php   
			if(get_theme_mod('admania_ppostedby') !== 1) {	 ?>
			<?php  esc_html_e('By','ad-mania'); ?>
			<?php the_author_posts_link(); 
			}			
			if(get_theme_mod('admania_ppostedon') !== 1) { ?>
			<div class="admania-eigth-post-line">-</div>
			<?php  esc_html_e('On','ad-mania'); ?>
			<?php the_time(get_option( 'date_format')); ?>			
			<?php } ?>			
			</div>
			 <?php
			 }
		
			$admania_boxedtrimexcerpt = $admania_content_limit;		
			$admania_boxedshortexcerpt = wp_trim_words( $admania_boxedtrimexcerpt, $amnum_words = 15, $ammore = '.' ); 
			if(!empty($admania_boxedshortexcerpt) != ''){
			?>
			<div class="admania-eigth-post-description">
				<p><?php echo wp_kses_stripslashes($admania_boxedshortexcerpt); ?> </p>
			</div>			
			
			<?php
			}
			?>	
	        <!-- #entrycontent -## -->
	    </div>
			
	</article>	
<?php
}
elseif($admania_blog_layout == 'amblyt9') {
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(array('admania-layout9-postimg')); ?>>
		  			    
				<?php  admania_featuredimage(); ?>											
				<div class="admania-ninth-post-entry">
				    <div class="admania-ninth-post-entry-left">
							 <?php   
							 if( 1 !== (int) $admania_bylineck )  {
							?>
							<div class="admania-ninth-post-category">
							<?php
						  	 if(get_theme_mod('admania_pcategory') !== 1) {
							 esc_html_e('In','ad-mania'); ?>
						     <?php the_category(' , '); 					  
							 }
							 ?>
							 </div>
							 <?php
							 }
							?>  		
					
			 <?php the_title( sprintf( '<h2 class="admania-entrytitle" itemprop="headline"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );?>
			<?php   
			 if( 1 !== (int) $admania_bylineck )  {				
			?>	
		    <div class="admania-ninth-post-byline">
			<?php   
			if(get_theme_mod('admania_ppostedby') !== 1) {	 ?>
			<?php  esc_html_e('By','ad-mania'); ?>
			<?php the_author_posts_link(); 
			}			
			if(get_theme_mod('admania_ppostedon') !== 1) { ?>
			<div class="admania-ninth-post-line">-</div>
			<?php  esc_html_e('On','ad-mania'); ?>
			<?php the_time(get_option( 'date_format')); ?>			
			<?php } ?>			
			</div>
			 <?php
			 }
		
			$admania_boxedtrimexcerpt = $admania_content_limit;	
			$admania_boxedshortexcerpt = wp_trim_words( $admania_boxedtrimexcerpt, $amnum_words = 15, $ammore = '.' ); 
			if(!empty($admania_boxedshortexcerpt) != ''){
			?>
			<div class="admania-ninth-post-description">
				<p><?php echo wp_kses_stripslashes($admania_boxedshortexcerpt); ?> </p>
			</div>			
			
			<?php
			}
			?>
			</div>
			<?php
			if((!empty($admania_boxedshortexcerpt) != '') || (get_theme_mod('disable_lay1fb') === 1) || (get_theme_mod('disable_lay1tw') === 1) || (get_theme_mod('disable_lay1ggle') === 1) || (get_theme_mod('disable_lay1lnkd') === 1) || (get_theme_mod('disable_lay1stmble') === 1)){
			?>	
			<div class="admania-ninth-post-entry-right">	
             <div class="admania-ninth-post-entryscl"> 
					  <?php if(get_theme_mod('disable_lay1fb') === 1): ?>
					  <a href="//www.facebook.com/sharer.php?u=<?php esc_url(the_permalink()); ?>&amp;t=<?php echo htmlspecialchars(urlencode(html_entity_decode(get_the_title(), ENT_COMPAT, 'UTF-8')), ENT_COMPAT, 'UTF-8'); ?>" target="_blank" class="admania_fbshare" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=800,width=800');return false;"> <i class="fab fa-facebook"></i> </a> 
					  <?php endif; if(get_theme_mod('disable_lay1tw') === 1): ?>
					  <a href="//twitter.com/share?text=<?php echo htmlspecialchars(urlencode(html_entity_decode(get_the_title(), ENT_COMPAT, 'UTF-8')), ENT_COMPAT, 'UTF-8'); ?>&amp;url=<?php esc_url(the_permalink()); ?>" target="_blank" class="admania_twtshare" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=800,width=800');return false;"> <i class="fab fa-twitter"></i></a> 
					  <?php endif; if(get_theme_mod('disable_lay1lnkd') === 1): ?>
					  <a  href="//www.linkedin.com/shareArticle?mini=true&amp;url=<?php esc_url(the_permalink()); ?>" target="_blank" class="admania_lnkshare" onclick="javascript:window.open(this.href, '', 'menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=800,width=800');return false;"> <i class="fab fa-linkedin"></i></a> 
					  <?php endif; ?>
			</div>			
			<?php
			if(!empty($admania_boxedshortexcerpt) != ''){
			?>				
				<a class="admania-ninth-post-readlink" href="<?php the_permalink(); ?>"><?php  echo esc_html(get_theme_mod('admania_post_read_more','Apply Now &rarr;')); ?></a>
            <?php
			}
			?>
			</div>
			<?php
			}
			?>
	        <!-- #entrycontent -## -->
	        </div>
			
			</article>
<?php
}
elseif($admania_blog_layout == 'amblyt10'){
?>
 <article id="post-<?php the_ID(); ?>" <?php post_class(array('admania-layout10-postimg')); ?>>
		  			    
				<?php  admania_featuredimage(); ?>											
				<div class="admania-ten-post-entry">
				    <div class="admania-ten-post-entry-left">
						<?php
							
			if( 1 !== (int) $admania_bylineck )  {				
			?>	
		    <div class="admania-ten-post-byline">
			<?php   
			if(get_theme_mod('admania_ppostedby') !== 1) {	 ?>
			<?php  esc_html_e('By','ad-mania'); ?>
			<?php the_author_posts_link(); 
			}			
			if(get_theme_mod('admania_ppostedon') !== 1) { ?>
			<div class="admania-ten-post-line">-</div>
			<?php  esc_html_e('On','ad-mania'); ?>
			<?php the_time(get_option( 'date_format')); ?>			
			<?php } if(get_theme_mod('admania_pcategory') !== 1) { ?>	
            <div class="admania-ten-post-line">-</div>
			<div class="admania-ten-post-category">
				<?php
					
					esc_html_e('In','ad-mania'); ?>
					<?php the_category(' , '); 					  
				
				?>
			</div>	
            <?php 
			}
			?>
			</div>
			<?php
			}	
			
			the_title( sprintf( '<h2 class="admania-ten-post-entrytitle" itemprop="headline"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h2>' );
				
			$admania_boxedtrimexcerpt = get_the_content();	
			$admania_boxedshortexcerpt = wp_trim_words( $admania_boxedtrimexcerpt, $amnum_words = 18, $ammore = '.' ); 
			if(!empty($admania_boxedshortexcerpt) != ''){
			?>
			<div class="admania-ten-post-description">
				<p><?php echo wp_kses_stripslashes($admania_boxedshortexcerpt); ?> </p>
			</div>	
			<div class="admania-seven-post-readmore">
				<a href="<?php esc_url(the_permalink()); ?>"><?php  echo esc_html(get_theme_mod('admania_post_read_more','Read More')); ?></a>
			</div>
			<?php
			}
			?>
			</div>
			
	        <!-- #entrycontent -## -->
	        </div>
			
			</article>	
<?php
}
elseif($admania_blog_layout === 'amblyt11'){
	
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(array('admania-hentry')); ?>>					
		
	<div class="admania-hmarticle-header admania-hentry-header">
			
		<?php if ( is_sticky() && is_home() && ! is_paged() ) : ?>
		
		<span class="admania-stickypost">
			<?php esc_html_e( 'Featured', 'ad-mania' ); ?>
		</span>
		
		<?php endif; ?>	
		<?php  admania_featuredimage(); ?>		
	</div>
	
	<div class="admania-hmarticle-content admania-hentry-content">
		
		    <?php if((1 !== (int) get_theme_mod('admania_single_post_byline_setting','')) && (1 !== (int) get_theme_mod('admania_single_post_category_setting',''))){ ?>
								
			<div class="admania-post-category">
				<?php the_category(' '); ?>
			</div>
			
			<?php } 
			
			the_title('<h2 itemprop="headline"><a href="'.esc_url(get_permalink()).'">','</a></h2>'); 
			
			if('' === get_the_title()) {
			
				if( 1 !== (int) get_theme_mod('admania_single_post_date_setting','')  ) {
				?>
   
				<span class="admania-notitle-date">
					<?php esc_html_e('On','ad-mania'); ?>
					<a href="<?php the_permalink(); ?>"><?php the_time(get_option( 'date_format')); ?></a>
				</span>
	
				<?php  
				}	
			}
			
			if('' !== $admania_content_limit) {
				
			?>				
            
			<p>
			
				<?php 

				echo wp_kses_stripslashes(wp_trim_words($admania_content_limit,30,'...'));
						 
				wp_link_pages(array(
					'before'      => '<div class="admania-pagelinks"><span class="admania-pagelinkstitle">' . esc_html__( 'Pages:', 'ad-mania' ) . '</span>',
					'after'       => '</div>',
					'link_before' => '<span>',
					'link_after'  => '</span>',
					'pagelink'    => '<span class="admania-screenreadertext">' . esc_html__( 'Page', 'ad-mania' ) . ' </span><span class="admania-pglnlksaf">%</span>',
					'separator'   => '<span class="admania-screenreadertext">, </span>',
				)); 
				
				?>
			
			</p>
			
			<?php 			
			}			
			?>
			<div class="admania-hmarticle-footer admania-entry-footer">
			    
				<?php if(1 !== (int) get_theme_mod('admania_single_post_author_setting','')){ ?>
					
				<div class="admania-hmarticle-footer-left">
				    <?php
						echo get_avatar( get_the_author_meta( 'user_email' ), 80 );
	                ?>
					<span class="admania-postedby-admin">
						<span class="admania-postedby-admin-text">
							<?php
								esc_html_e('Posted By','ad-mania');
							?>
						</span> 
						<?php the_author_posts_link(); ?>
					</span>
				</div>
				
				<?php } ?>
				
				<div class="admania-hmarticle-footer-right">
					
					<?php
					
					$admania_onclickjs = '';
					
					$admania_onclickjs = 'javascript:window.open(this.href,"","menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=800,width=800");return false;';
							   
					if(get_theme_mod('disable_lay1fb') === 1){ ?>
						<a href="//www.facebook.com/sharer.php?u=<?php esc_url(the_permalink()); ?>&amp;t=<?php echo urlencode(wp_specialchars_decode(esc_html(get_the_title()), ENT_COMPAT, 'UTF-8')); ?>" class="admania-spshfb admania-spshrs" target="_blank" onclick="<?php echo esc_js($admania_onclickjs); ?>"> <i class="fab fa-facebook-f"></i></a>
						<!--facebook-->					
					<?php 				
					}	
					if(get_theme_mod('disable_lay1tw') === 1) {?>
						<a href="//twitter.com/share?text=<?php echo urlencode(wp_specialchars_decode(esc_html(get_the_title()), ENT_COMPAT, 'UTF-8')); ?>&amp;url=<?php esc_url(the_permalink()); ?>" target="_blank" onclick="<?php echo esc_js($admania_onclickjs); ?>" class="admania-spshtwt admania-spshrs"> <i class="fab fa-twitter"></i></a>
						<!--twitter-->	
					<?php }	?>
					
				</div>
				
			</div>	
			
	</div>
					
</article> <!-- #post -->
<?php
}
elseif($admania_blog_layout === 'amblyt12'){
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(array('admania-hentry2')); ?>>					
		
	<div class="admania-hmarticle2-header admania-hentry-header">
			
		<?php if ( is_sticky() && is_home() && ! is_paged() ) : ?>
		
		<span class="admania-stickypost">
			<?php esc_html_e( 'Featured', 'ad-mania' ); ?>
		</span>
		
		<?php endif; ?>	
		
		<?php  admania_featuredimage(); ?>	
				
		<div class="admania-hmarticle2-header-content">
               
		<?php		
		
				if((1 !== (int) get_theme_mod('admania_ebylfp','')) && (1 !== (int) get_theme_mod('admania_pcategory',''))){ ?>
								
				<div class="admania-post-category">
					<?php the_category(' '); ?>
				</div>
			
				<?php } 
			
				the_title('<h2 itemprop="headline"><a href="'.esc_url(get_permalink()).'">','</a></h2>'); 
			
				if(1 !== (int) get_theme_mod('admania_ppostedby','')){ 
					
	            ?>
					<span class="admania-hmarticle2-postedby-admin">
						<span class="admania-postedby-admin-text">
							<?php
								esc_html_e('Posted By','ad-mania');
							?>
						</span> 
						<?php the_author_posts_link(); ?>
					</span>
					
				<?php } ?>
				</div>
	</div>
	
	<div class="admania-hmarticle2-content admania-hentry-content">
		
				<?php 
			
				if('' === get_the_title()) {
			
				if( 1 !== (int) get_theme_mod('admania_ppostedon','')  ) {
				
				?>
   
				<span class="admania-notitle-date">
					<?php esc_html_e('On','ad-mania'); ?>
					<a href="<?php the_permalink(); ?>"><?php the_time(get_option( 'date_format')); ?></a>
				</span>
	
				<?php  
				}	
			}
			
			if('' !== $admania_content_limit) {
				
			?>				
            
			<p>
			
				<?php 

				echo wp_kses_stripslashes(wp_trim_words($admania_content_limit,45,'...'));
						 
				wp_link_pages(array(
					'before'      => '<div class="admania-pagelinks"><span class="admania-pagelinkstitle">' . esc_html__( 'Pages:', 'ad-mania' ) . '</span>',
					'after'       => '</div>',
					'link_before' => '<span>',
					'link_after'  => '</span>',
					'pagelink'    => '<span class="admania-screenreadertext">' . esc_html__( 'Page', 'ad-mania' ) . ' </span><span class="admania-pglnlksaf">%</span>',
					'separator'   => '<span class="admania-screenreadertext">, </span>',
				)); 
				
				?>
			
			</p>
			
			<?php 			
			}			
			?>
			<div class="admania-hmarticle-footer admania-hmarticle2-footer admania-entry-footer">
			   	
				<div class="admania-hmarticle2-footer-left admania-hmarticle-footer-left">
				   <a href="<?php the_permalink(); ?>"><?php  echo esc_html(get_theme_mod('admania_post_read_more','Read More')); ?></a>
				</div>					
				
				<div class="admania-hmarticle-footer-right">
					
					<?php
					
					$admania_onclickjs = '';
					
					if((get_theme_mod('disable_lay1fb') === 1) || (get_theme_mod('disable_lay1tw') === 1) || (get_theme_mod('disable_lay1ggle') === 1) || (get_theme_mod('disable_lay1lnkd') === 1) || (get_theme_mod('disable_lay1stmble') === 1)) { 
			   
					$admania_onclickjs = 'javascript:window.open(this.href,"","menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=800,width=800");return false;';
							   
					if(get_theme_mod('disable_lay1fb') === 1){ ?>
						<a href="//www.facebook.com/sharer.php?u=<?php esc_url(the_permalink()); ?>&amp;t=<?php echo urlencode(wp_specialchars_decode(esc_html(get_the_title()), ENT_COMPAT, 'UTF-8')); ?>" class="admania-spshfb admania-spshrs" target="_blank" onclick="<?php echo esc_js($admania_onclickjs); ?>"> <i class="fab fa-facebook-f"></i></a>
						<!--facebook-->					
					<?php 				
					}	
					if(get_theme_mod('disable_lay1tw') === 1) {?>
						<a href="//twitter.com/share?text=<?php echo urlencode(wp_specialchars_decode(esc_html(get_the_title()), ENT_COMPAT, 'UTF-8')); ?>&amp;url=<?php esc_url(the_permalink()); ?>" target="_blank" onclick="<?php echo esc_js($admania_onclickjs); ?>" class="admania-spshtwt admania-spshrs"> <i class="fab fa-twitter"></i></a>
						<!--twitter-->	
					<?php }	} ?>					
				</div>
				
			</div>	
			
	</div>
					
</article> <!-- #post -->
<?php
}
elseif($admania_blog_layout === 'amblyt13'){
	
$admania_fwidth = '350';
$admania_fheight = '245';
		
$admania_thumb = get_post_thumbnail_id();
$admania_imgurl = wp_get_attachment_url( $admania_thumb,'full'); //get img URL
$admania_image = $admania_imgurl;
	
$admania_contentlmt = get_the_content();	
$admania_ytdimg = get_post_meta($post->ID, '_admania_featured_videourl', true); 
$admania_youtube_matchexp = "/\s*[a-zA-Z\/\/:\.]*youtube.com\/watch\?v=([a-zA-Z0-9\-_]+)([a-zA-Z0-9\/\*\-\_\?\&\;\%\=\.]*)/i";  
$admania_vimeomatchexp = "/https?:\/\/(?:www\.|player\.)?vimeo.com\/(?:channels\/(?:\w+\/)?|groups\/([^\/]*)\/videos\/|album\/(\d+)\/video\/|video\/|)(\d+)(?:$|\/|\?)/";
$admania_souncloudmatchexp = "%(?:https?://)(?:www\.)?soundcloud\.com/([\-a-z0-9_]+/[\-a-z0-9_]+)%im";
	
$admania_framename = "iframe";	
	    	
if((false !== $admania_ytdimg)  && (false === $admania_image)){
	$admania_sliderwotimg = 'admania-ftdpstwotimg';
}
elseif((false === $admania_ytdimg)  && (false === $admania_image)){
	$admania_sliderwotimg = 'admania-ftdpstwotimgvid';
}
else {
	$admania_sliderwotimg = '';
}
	
if((false !== $admania_image)) { 
	$admania_lytftd_bgimg = $admania_image; 
}	
elseif((false === $admania_ytdimg)) {
	$admania_lytftd_bgimg = '';
}
else {
	$admania_lytftd_bgimg = '';
}		
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(array('admania-hentry13',''.esc_attr($admania_sliderwotimg).'')); ?>>					
		
	<div class="admania-hmarticle13-header admania-hentry-header">
			
		<?php if ( is_sticky() && is_home() && ! is_paged() ) : ?>
		
		<span class="admania-stickypost">
			<?php esc_html_e( 'Featured', 'ad-mania' ); ?>
		</span>
		
		<?php endif; ?>	
		
		<?php  admania_featuredimage(); ?>
		
		 <?php if((1 !== (int) get_theme_mod('admania_ebylfp','')) && (1 !== (int) get_theme_mod('admania_pcategory',''))){ ?>
								
			<div class="admania-post-category">
				<?php the_category(' '); ?>
			</div>
			
		 <?php } ?>
				
	</div>
	
	<div class="admania-hmarticle13-content admania-hentry-content">
		
		   <?php 
			
			the_title('<h2 itemprop="headline"><a href="'.esc_url(get_permalink()).'">','</a></h2>'); 
		
			
			if('' !== $admania_content_limit) {
				
			?>				
            
			<p>
			
				<?php 

				echo wp_kses_stripslashes(wp_trim_words($admania_content_limit,15,'...'));
						 
				wp_link_pages(array(
					'before'      => '<div class="admania-pagelinks"><span class="admania-pagelinkstitle">' . esc_html__( 'Pages:', 'ad-mania' ) . '</span>',
					'after'       => '</div>',
					'link_before' => '<span>',
					'link_after'  => '</span>',
					'pagelink'    => '<span class="admania-screenreadertext">' . esc_html__( 'Page', 'ad-mania' ) . ' </span><span class="admania-pglnlksaf">%</span>',
					'separator'   => '<span class="admania-screenreadertext">, </span>',
				)); 
				
				?>
			
			</p>
			
			<?php 			
			}			
			?>
			<div class="admania-hmarticle13-footer admania-entry-footer">
			    
				<?php if(1 !== (int) get_theme_mod('admania_ppostedby','')){ ?>
					
				<div class="admania-hmarticle13-footer-left">
				    <?php
						echo get_avatar( get_the_author_meta( 'user_email' ), 30 );
	                ?>
					<span class="admania-postedby-admin">
						<span class="admania-postedby-admin-text">
							<?php
								esc_html_e('Posted By','ad-mania');
							?>
						</span> 
						<?php the_author_posts_link(); ?>
					</span>
				</div>
				
				<?php }  ?>
				
				<div class="admania-hmarticle13-footer-right">
					
					<?php
					
					$admania_onclickjs = '';
					
					$admania_onclickjs = 'javascript:window.open(this.href,"","menubar=no,toolbar=no,resizable=yes,scrollbars=yes,height=800,width=800");return false;';
							   
					if(get_theme_mod('disable_lay1fb') === 1){ ?>
						<a href="//www.facebook.com/sharer.php?u=<?php esc_url(the_permalink()); ?>&amp;t=<?php echo urlencode(wp_specialchars_decode(esc_html(get_the_title()), ENT_COMPAT, 'UTF-8')); ?>" class="admania-spshfb admania-spshrs" target="_blank" onclick="<?php echo esc_js($admania_onclickjs); ?>"> <i class="fab fa-facebook-f"></i></a>
						<!--facebook-->					
					<?php 				
					}	
					if(get_theme_mod('disable_lay1tw') === 1) {?>
						<a href="//twitter.com/share?text=<?php echo urlencode(wp_specialchars_decode(esc_html(get_the_title()), ENT_COMPAT, 'UTF-8')); ?>&amp;url=<?php esc_url(the_permalink()); ?>" target="_blank" onclick="<?php echo esc_js($admania_onclickjs); ?>" class="admania-spshtwt admania-spshrs"> <i class="fab fa-twitter"></i></a>
						<!--twitter-->	
					<?php }	?>					
				</div>
				
			</div>	
			
	</div>
					
</article> <!-- #post -->
<?php
}
elseif($admania_blog_layout === 'amblyt14'){
	
$admania_fwidth = '360';
$admania_fheight = '250';
		
$admania_thumb = get_post_thumbnail_id();
$admania_imgurl = wp_get_attachment_url( $admania_thumb,'full'); //get img URL
$admania_image = $admania_imgurl;
	
$admania_contentlmt = get_the_content();	
$admania_ytdimg = get_post_meta($post->ID, '_admania_featured_videourl', true); 
$admania_youtube_matchexp = "/\s*[a-zA-Z\/\/:\.]*youtube.com\/watch\?v=([a-zA-Z0-9\-_]+)([a-zA-Z0-9\/\*\-\_\?\&\;\%\=\.]*)/i";  
$admania_vimeomatchexp = "/https?:\/\/(?:www\.|player\.)?vimeo.com\/(?:channels\/(?:\w+\/)?|groups\/([^\/]*)\/videos\/|album\/(\d+)\/video\/|video\/|)(\d+)(?:$|\/|\?)/";
$admania_souncloudmatchexp = "%(?:https?://)(?:www\.)?soundcloud\.com/([\-a-z0-9_]+/[\-a-z0-9_]+)%im";
	
$admania_framename = "iframe";	
	    	
if((false !== $admania_ytdimg)  && (false === $admania_image)){
	$admania_sliderwotimg = 'admania-ftdpstwotimg';
}
elseif((false === $admania_ytdimg)  && (false === $admania_image)){
	$admania_sliderwotimg = 'admania-ftdpstwotimgvid';
}
else {
	$admania_sliderwotimg = '';
}
	
if((false !== $admania_image)) { 
	$admania_lytftd_bgimg = $admania_image; 
}	
elseif((false === $admania_ytdimg)) {
	$admania_lytftd_bgimg = '';
}
else {
	$admania_lytftd_bgimg = '';
}	
?>
<article id="post-<?php the_ID(); ?>" <?php post_class(array('admania-hentry14',''.esc_attr($admania_sliderwotimg).'')); ?>>					
		
	<div class="admania-hmarticle14-header admania-hentry-header">
			
		<?php if ( is_sticky() && is_home() && ! is_paged() ) : ?>
		
		<span class="admania-stickypost">
			<?php esc_html_e( 'Featured', 'ad-mania' ); ?>
		</span>
		
		<?php endif; ?>	
		
		<?php  admania_featuredimage(); ?>
		
		 
				
	</div>
	
	<div class="admania-hmarticle14-content admania-hentry-content">
		
		   <?php 
			
			the_title('<h2 itemprop="headline"><a href="'.esc_url(get_permalink()).'">','</a></h2>'); 
		
			if(1 !== (int) get_theme_mod('admania_ppostedby','')){ ?>
			
			<div class="admania-hmarticle14-byline">
			
			<?php
				echo get_avatar( get_the_author_meta( 'user_email' ), 30 );
	        ?>
			
			<span class="admania-postedby4-admin">
				<span class="admania-postedby4-admin-text">
					<?php
						esc_html_e('Posted By','ad-mania');
					?>
				</span> 
				<?php the_author_posts_link(); ?>
			</span> /
			
			<?php if(get_theme_mod('admania_ppostedon') !== 1) { ?>
				<span class="admania-notitle-date admania-postedby4-admin">
					<?php  esc_html_e('On','ad-mania'); ?>
					<a href="<?php the_permalink(); ?>"><?php the_time(get_option( 'date_format')); ?></a>
			    </span> 
			<?php } ?>
			
			</div>
			
			<?php
			}
			
			if('' !== $admania_content_limit) {
				
			?>				
            
			<p>
			
				<?php 

				echo wp_kses_stripslashes(wp_trim_words($admania_content_limit,30,'...'));
						 
				wp_link_pages(array(
					'before'      => '<div class="admania-pagelinks"><span class="admania-pagelinkstitle">' . esc_html__( 'Pages:', 'ad-mania' ) . '</span>',
					'after'       => '</div>',
					'link_before' => '<span>',
					'link_after'  => '</span>',
					'pagelink'    => '<span class="admania-screenreadertext">' . esc_html__( 'Page', 'ad-mania' ) . ' </span><span class="admania-pglnlksaf">%</span>',
					'separator'   => '<span class="admania-screenreadertext">, </span>',
				)); 
				
				?>
			
			</p>
			
			<?php 			
			}			
			?>
			<div class="admania-hmarticle14-footer admania-entry-footer">
			    
				<a href="<?php the_permalink(); ?>"><?php echo esc_html_e('Continue Reading...','ad-mania'); ?></a>
									
			</div>	
			
	</div>
					
</article> <!-- #post -->
<?php
}
