<?php

/**
 * Theme tenth header11 content.
 *
 * @package WordPress
 * @subpackage Admania
 * @since Admania 1.0
 */
 
$admania_searchck = get_theme_mod('admania_hdrsrch');											
if(   1 != (int) $admania_searchck ):	 
?>
<div class="admania-headersearchform_tab">	
    <span class="admania-header-search-close">
		<i class="fa fa-times"></i>
	</span>
    <div class="admania-headersearchform-inner">		 
		<?php get_search_form(); ?>
		<span class="admania-subtext"><?php echo esc_html_e('Hit enter after type your search item','ad-mania'); ?></span>
	</div>	
</div>
<?php
endif;

    if('' !== get_theme_mod('admania_header10_tp_offer_bar_check_setting')){
	?>

	<div class="admania-header-eleven-top">
		<div class="admania-headerinner admania-headerinner-eleven-top">
			<div class="admania-header-eleven-top-left">
				<h6><?php echo esc_html(get_theme_mod('admania_header10_tp_offer_bar_text_setting')); ?></h6>
			</div>
			<a href="<?php echo esc_html(get_theme_mod('admania_header10_tp_offer_bar_viewmore_link_setting')); ?>"><?php echo esc_html(get_theme_mod('admania_header10_tp_offer_bar_viewmore_text_setting')); ?></a>
		</div>
	</div> <!-- .admania-header-top -->	
	
	<?php } ?>
		
	<div class="admania-header-eleven-bottom admania-header1-eleven-bottom">
	
		<div class="admania-headerinner">	  
		
			<div class="admania-header-eleven-left">
		     
			 <?php if(has_custom_logo()) { 				
			
					if(is_home()): ?>
					<h1 class="admania-sitetitle" itemprop="headline">
						<?php the_custom_logo(); ?>
					</h1> <!-- .admania-sitetitle -->
					<?php
					else: 
						the_custom_logo();												
					endif;				
					}
			
				if(1 !== (int) get_theme_mod('admania_header_titledescription_setting','')){
			
				if (is_home()) { ?>
			
				<h1 class="admania-sitetitle admania-restitle1" itemprop="headline">
					<a href="<?php echo esc_url(home_url('/')); ?>" title="<?php bloginfo( 'name' ); ?>">
						<?php bloginfo( 'name' ); ?>
					</a>									
				</h1> <!-- .admania-sitetitle -->
				
				<p><?php bloginfo( 'description' );  ?></p>									
				
				<?php } 				
				
				else { ?>
			
				<div class="admania-sitetitle admania-restitle" itemprop="headline"> 		
					<a class="admania-sitetitle" href="<?php echo esc_url(home_url('/'));  ?>" title="<?php bloginfo( 'name' ); ?>" class="admania-fontstlye">
						<?php bloginfo( 'name' ); ?>
					</a> <!-- .admania-sitetitle -->
					<p><?php bloginfo( 'description' );  ?></p>
				</div>
					
				<?php }	} ?>
					
		
		    </div> <!-- .admania-header-left -->
				
			<?php if(has_nav_menu('admania-primary-menu')): ?>
		
			<div class="admania-header-eleven-middle">
			
			<div class="admania-mb-pm-menu-style">
				<span class="admania-mb-pm-menu-bar"></span>
			</div>
			
			<nav class="admania_menu admania-lay8-menu admania-primary-menu admania-push-out-menu" itemscope="itemscope" itemtype="http://schema.org/SiteNavigationElement">
				
				<div class="admania-mb-pm-menu-close">					
				</div>
				
				<div class="admania-popup-menu-logo">
					<a href="<?php echo esc_url(home_url('/'));  ?>" title="<?php bloginfo( 'name' ); ?>" class="admania-font-style">
						<?php bloginfo( 'name' ); ?>
					</a>  
					<p><?php bloginfo( 'description' );  ?></p>						
				</div>
				
				<?php 
					
					$admania_walker = new admania_walker_nav_menu;
					
					wp_nav_menu(array('menu' => 'admania-primary-menu', 'theme_location' => 'admania-primary-menu','walker' => $admania_walker));  
				?>
			</nav> <!-- .admania-primary-menu -->
		
			</div>
		
			<?php endif; 
		
			 if((1 !== (int) get_theme_mod('admania_hdrsrch')) || ('' !== get_theme_mod('admania_header_social_fb_setting')) || ('' !== get_theme_mod('admania_header_social_twitter_setting')) || ('' !== get_theme_mod('admania_header_social_gplus_setting')) || ('' !== get_theme_mod('admania_header_social_linked_setting')) || ('' !== get_theme_mod('admania_header_social_linked_setting')) || ('' !== get_theme_mod('admania_header_social_ytb_setting')) || ('' !== get_theme_mod('admania_header_social_pin_setting')) || ('' !== get_theme_mod('admania_header_social_rss_setting'))){ 
			 
			 if(1 !== (int) get_theme_mod('admania_hdrsrch') && (('' !== get_theme_mod('admania_header_social_gplus_setting')) || ('' !== get_theme_mod('admania_header_social_linked_setting')) || ('' !== get_theme_mod('admania_header_social_linked_setting')) || ('' !== get_theme_mod('admania_header_social_ytb_setting')) || ('' !== get_theme_mod('admania_header_social_pin_setting')) || ('' !== get_theme_mod('admania_header_social_rss_setting')))){ 
				$admania_header_search_class = 'admania-header-social-media-ickn';
			 } 
			 else { 
				$admania_header_search_class = '';
			 }  
			 
			 ?>
			
			 <div class="admania-header-eleven-right">
				<?php if(('' !== get_theme_mod('admania_header_social_gplus_setting')) || ('' !== get_theme_mod('admania_header_social_linked_setting')) || ('' !== get_theme_mod('admania_header_social_linked_setting')) || ('' !== get_theme_mod('admania_header_social_ytb_setting')) || ('' !== get_theme_mod('admania_header_social_pin_setting')) || ('' !== get_theme_mod('admania_header_social_rss_setting'))) { ?>
				<div class="admania-header-eleven-social-icon">
					<i class="fas fa-plus"></i>
				</div>
				<?php } ?>
				<div class="admania-header-eleven-social-media">
			    
				<div class="admania-header-eleven-social-media-inner">
				<?php				    
				if('' !== get_theme_mod('admania_header_social_fb_setting')){
				?>
					<div class="admania-header-eleven-social-media-icons admania-header-social-media1-ickn"><a href="<?php echo esc_url(get_theme_mod('admania_header_social_fb_setting')); ?>" class="admania-header-social-fbicon"><i class="fab fa-facebook-f"></i></a></div>
				<?php 
				} 
				if('' !== get_theme_mod('admania_header_social_twitter_setting')) {
				?>
					<div class="admania-header-eleven-social-media-icons admania-header-social-media1-ickn <?php echo esc_attr($admania_header_search_class); ?>"><a href="<?php echo esc_url(get_theme_mod('admania_header_social_twitter_setting')); ?>" class="admania-header-social-twticon"><i class="fab fa-twitter"></i></a></div>
				<?php 
				} 
				if('' !== get_theme_mod('admania_header_social_gplus_setting')) {
				?>
					<div class="admania-header-eleven-social-media-icons admania-header-social-media-ickn"><a href="<?php echo esc_url(get_theme_mod('admania_header_social_gplus_setting')); ?>" class="admania-header-social-gleicon"><i class="fab fa-google-plus"></i></a></div>
				<?php
				}   
				if('' !== get_theme_mod('admania_header_social_linked_setting')) {
				?>
					<div class="admania-header-eleven-social-media-icons admania-header-social-media-ickn"><a href="<?php echo esc_url(get_theme_mod('admania_header_social_linked_setting')); ?>" class="admania-header-social-lnkicon"><i class="fab fa-linkedin"></i></a></div>
				<?php
				} 
				if('' !== get_theme_mod('admania_header_social_ytb_setting')) {
				?>
					<div class="admania-header-eleven-social-media-icons admania-header-social-media-ickn"><a href="<?php echo esc_url(get_theme_mod('admania_header_social_ytb_setting')); ?>" class="admania-header-social-ytbicon"><i class="fab fa-youtube"></i></a></div>
				<?php
				}
				if('' !== get_theme_mod('admania_header_social_instg_setting')) {
				?>
					<div class="admania-header-eleven-social-media-icons admania-header-social-media-ickn"><a href="<?php echo esc_url(get_theme_mod('admania_header_social_instg_setting')); ?>" class="admania-header-social-instgicon"><i class="fab fa-instagram"></i></a></div>
				<?php
				}
				if('' !== get_theme_mod('admania_header_social_pin_setting')) {
				?>
					<div class="admania-header-eleven-social-media-icons admania-header-social-media-ickn"><a href="<?php echo esc_url(get_theme_mod('admania_header_social_pin_setting')); ?>" class="admania-header-social-pinicon"><i class="fab fa-pinterest"></i></a></div>
				<?php
				}
				if('' !== get_theme_mod('admania_header_social_rss_setting')) {
				?>
					<div class="admania-header-eleven-social-media-icons admania-header-social-media-ickn"><a href="<?php echo esc_url(get_theme_mod('admania_header_social_rss_setting')); ?>" class="admania-header-social-rssicon"><i class="fas fa-rss"></i></a></div>
				<?php
				}
				?>
				</div>
			
			</div> <!-- .admania-header-social -->
			<?php if((1 !== (int) get_theme_mod('admania_header_search_setting'))) { ?>
				<div class="admania-header-eleven-search-icon">
					<i class="fa fa-search"></i>
				</div>
			<?php } ?>
			</div>
			
			<?php } ?>
			
		</div>	<!-- .admania-header-eleven-inner -->	
		
	</div> <!-- .admania-header-eleven-bottom -->	
	
<?php
	if(!is_paged() && is_home()) {

		get_sidebar('hometopbuilder'); // Theme Home Top Builder.

	}
?>