<?php

/**
 * Theme seventh header content.
 *
 * @package WordPress
 * @subpackage Admania
 * @since Admania 1.0
 */
         
?>
<div class="admania-header-seven">
	<div class="admania-header-seven-top">
		<div class="admania-headerinner">
			<div class="admania-header-seven-left">
			<?php if(has_custom_logo()) { 				
			
					if(is_home()): ?>
					<h1 class="admania-sitetitle" itemprop="headline">
						<?php the_custom_logo(); ?>
					</h1> <!-- .admania-sitetitle -->
					<?php
					else: 
						the_custom_logo();												
					endif;				
					}
			
				if(1 !== (int) get_theme_mod('admania_header_titledescription_setting','')){
			
				if (is_home()) { ?>
			
				<h1 class="admania-sitetitle admania-restitle1" itemprop="headline">
					<a href="<?php echo esc_url(home_url('/')); ?>" title="<?php bloginfo( 'name' ); ?>">
						<?php bloginfo( 'name' ); ?>
					</a>									
				</h1> <!-- .admania-sitetitle -->
				
				<p><?php bloginfo( 'description' );  ?></p>									
				
				<?php } 				
				
				else { ?>
			
				<div class="admania-sitetitle admania-restitle" itemprop="headline"> 		
					<a class="admania-sitetitle" href="<?php echo esc_url(home_url('/'));  ?>" title="<?php bloginfo( 'name' ); ?>" class="admania-fontstlye">
						<?php bloginfo( 'name' ); ?>
					</a> <!-- .admania-sitetitle -->
					<p><?php bloginfo( 'description' );  ?></p>
				</div>
					
				<?php }	} ?>
					
			</div>
			<div class="admania-header-seven-right">
			<?php
			if(!is_404()) {
 
			$admania_seven_rmvcatids2 =  admania_get_option('ad_rmcatGrid63');			
			$admania_seven_rmvcatids_extractids2 = explode(',',$admania_seven_rmvcatids2);			
			
			$admania_seven_rmvtagids = admania_get_option('ad_rmtagGrid63');
			$admania_seven_rmvtagids_extractids2 = explode(',',$admania_seven_rmvtagids);

            $admania_seven_rmvpostids2 = admania_get_option('ad_rmpostGrid63');
			$admania_seven_rmvpostids_extractids2 = explode(',',$admania_seven_rmvpostids2);	

			$admania_seven_rmvpageids2 = admania_get_option('ad_rmpageGrid63');
			$admania_seven_rmvpageids_extractids2 = explode(',',$admania_seven_rmvpageids2);				
			
			$admania_adcode_shortcode_matchexpression = "/\/|\[|\]/";  // checks the user input ad code is shortcode format or not.
			
			if((!is_category($admania_seven_rmvcatids_extractids2)) && (!is_tag($admania_seven_rmvtagids_extractids2)) && (!is_single($admania_seven_rmvpostids_extractids2)) && (!is_page($admania_seven_rmvpageids_extractids2))) {
 
			if(admania_get_option('admania_seven_hdrgtad') != false): ?>

			<div class="admania-rightheaderbotad admania-themead">
			
			<?php
     
			if((admania_get_lveditoption('admania_seven_live_editor_hdrgthtmlad') != false) || (admania_get_lveditoption('admania_seven_hdrgtglead') != false) || ((admania_get_lveditoption('admania_lvedtimg_url57') != false) || (admania_get_lveditoption('admania_lvedtrimgtg_url57') != false))) {
			
			if(admania_get_lveditoption('admania_seven_rot_live_editor_hdrgthtmlad') != false){
			?>
			<div class="admania-lyt3rothad1">	
			<?php
            }
			
			if(preg_match($admania_adcode_shortcode_matchexpression , admania_get_lveditoption('admania_seven_live_editor_hdrgthtmlad'))) {
			  
			  echo do_shortcode(''.admania_get_lveditoption('admania_seven_live_editor_hdrgthtmlad').'');
			
			}
			else {
				
			  echo wp_kses_stripslashes(admania_get_lveditoption('admania_seven_live_editor_hdrgthtmlad'));
			
			}
					
			if(admania_get_lveditoption('admania_seven_rot_live_editor_hdrgthtmlad') != false){
			?>
			</div>
			<div class="admania-lyt3rothad2">	
				<?php 	
			    if(preg_match($admania_adcode_shortcode_matchexpression , admania_get_lveditoption('admania_seven_rot_live_editor_hdrgthtmlad'))) {
			  
					echo do_shortcode(''.admania_get_lveditoption('admania_seven_rot_live_editor_hdrgthtmlad').'');
			
				}
				else {
				
					echo wp_kses_stripslashes(admania_get_lveditoption('admania_seven_rot_live_editor_hdrgthtmlad'));
			
				}
			?>
			</div>
			<?php
            }
			
			if(admania_get_lveditoption('admania_seven_rot_live_editor_hdrgtglead') != false){
			?>
			<div class="admania-lyt3rothad1">	
			<?php
            }
			
			if(preg_match($admania_adcode_shortcode_matchexpression , admania_get_lveditoption('admania_seven_hdrgtglead'))) {
			  
				echo do_shortcode(''.admania_get_lveditoption('admania_seven_hdrgtglead').'');
			
			}
			else {
				
				echo wp_kses_stripslashes(admania_get_lveditoption('admania_seven_hdrgtglead'));
			
			}
			
			if(admania_get_lveditoption('admania_seven_rot_live_editor_hdrgtglead') != false){
			?>
			</div>
			<div class="admania-lyt3rothad2">	
				<?php 	
				
				if(preg_match($admania_adcode_shortcode_matchexpression , admania_get_lveditoption('admania_seven_rot_live_editor_hdrgtglead'))) {
			  
					echo do_shortcode(''.admania_get_lveditoption('admania_seven_rot_live_editor_hdrgtglead').'');
			
				}
				else {
				
					echo wp_kses_stripslashes(admania_get_lveditoption('admania_seven_rot_live_editor_hdrgtglead'));
			
				}
				
				?>
			</div>
			<?php
            }
			
			if((admania_get_lveditoption('admania_rotlvedtimg_url57') != false) || (admania_get_lveditoption('admania_rotlvedtrimgtg_url57') != false)){
			?>
			<div class="admania-lyt3rothad1">	
			<?php
            }
			
			if((admania_get_lveditoption('admania_lvedtimg_url57') != false) || (admania_get_lveditoption('admania_lvedtrimgtg_url57') != false) ){
			?>
			<a href="<?php echo esc_url(admania_get_lveditoption('admania_lvedtrimgtg_url57')); ?>" target="_blank">
			<?php if(admania_get_lveditoption('admania_lvedtimg_url57') != false) { ?>
			 <img src="<?php echo esc_url(admania_get_lveditoption('admania_lvedtimg_url57')); ?>" alt="<?php esc_html_e('adimage','ad-mania'); ?>"/>
		    <?php } ?>
			</a>
			<?php			
			} 
			
			if((admania_get_lveditoption('admania_rotlvedtimg_url57') != false) || (admania_get_lveditoption('admania_rotlvedtrimgtg_url57') != false)){
			?>
			</div>
			<div class="admania-lyt3rothad2">	
			<a href="<?php echo esc_url(admania_get_lveditoption('admania_rotlvedtrimgtg_url57')); ?>" target="_blank">
			<?php if(admania_get_lveditoption('admania_rotlvedtimg_url57') != false) { ?>
			 <img src="<?php echo esc_url(admania_get_lveditoption('admania_rotlvedtimg_url57')); ?>" alt="<?php esc_html_e('adimage','ad-mania'); ?>"/>
		    <?php } ?>
			 </a>
			</div>
			<?php
            }
			
			}
			else {
				
			  
			if(admania_get_option('admania_seven_rotrgthdhtmlcode') != false){
			?>
			<div class="admania-lyt3rothad1 admania_lyt7hdrgad_clvwstatics">	
			<?php
            }	
			if(admania_get_option('admania_seven_hdrgthtmlad') != false):
			?>
			<div class="admania_lyt7hdrgad_clvwstatics">	
			<?php
			if(preg_match($admania_adcode_shortcode_matchexpression , admania_get_option('admania_seven_hdrgthtmlad'))) {
			  
				echo do_shortcode(''.admania_get_option('admania_seven_hdrgthtmlad').'');
			
			}
			else {
				
				echo wp_kses_stripslashes(admania_get_option('admania_seven_hdrgthtmlad'));
			
			}
			?>
			</div>
			<?php	
            endif;			
			if(admania_get_option('admania_seven_rotrgthdhtmlcode') != false){
			?>
			</div>
			<div class="admania-lyt3rothad2 admania_lyt7hdrgrotad_clvwstatics">	
				<?php 
				
				if(preg_match($admania_adcode_shortcode_matchexpression , admania_get_option('admania_seven_rotrgthdhtmlcode'))) {
			  
					echo do_shortcode(''.admania_get_option('admania_seven_rotrgthdhtmlcode').'');
			
				}
				else {
				
					echo wp_kses_stripslashes(admania_get_option('admania_seven_rotrgthdhtmlcode'));
			
				}				
				?>
			</div>
			<?php
            }
			
						
            if(admania_get_option('admania_seven_rgthdglead') != false):
			?>
			<div class="admania_lyt7hdrgglead_clvwstatics">	
			<?php			
			if(preg_match($admania_adcode_shortcode_matchexpression , admania_get_option('admania_seven_rgthdglead'))) {
			  
				echo do_shortcode(''.admania_get_option('admania_seven_rgthdglead').'');
			
			}
			else {
				
				echo wp_kses_stripslashes(admania_get_option('admania_seven_rgthdglead'));
			
			}	
			?>
			</div>
			<?php
			endif;
			
			if((admania_get_option('admania_seven_rotadimg_url63') != false) || (admania_get_option('admania_seven_rotadimgtg_url63') != false) ){
			?>
			<div class="admania-lyt3rothad1 admania_lyt7hdrglnkad_clvwstatics">	
			<?php
            }	
			
			if((admania_get_option('admania_seven_adimg_url63') != false) || (admania_get_option('admania_seven_adimgtg_url63') != false) ):
			?>
			<div class="admania_lyt7hdrglnkad_clvwstatics">
			<a href="<?php echo esc_url(admania_get_option('admania_seven_adimgtg_url63')); ?>" target="_blank">
			<?php if(admania_get_option('admania_seven_adimg_url63') != false) { ?>
				<img src="<?php echo esc_url(admania_get_option('admania_seven_adimg_url63')); ?>" alt="<?php esc_html_e('adimage','ad-mania'); ?>"/>
			<?php } ?>
			</a>
			</div>
			<?php endif;  
  
			if((admania_get_option('admania_seven_rotadimg_url63') != false) || (admania_get_option('admania_seven_rotadimgtg_url63') != false) ){
			?>
			</div>
			<div class="admania-lyt3rothad2 admania_lyt7hdrglnkrotad_clvwstatics">	
				<a href="<?php echo esc_url(admania_get_option('admania_seven_rotadimgtg_url63')); ?>" target="_blank">
					<?php if(admania_get_option('admania_seven_rotadimg_url63') != false) { ?>
						<img src="<?php echo esc_url(admania_get_option('admania_seven_rotadimg_url63')); ?>" alt="<?php esc_html_e('adimage','ad-mania'); ?>"/>
					<?php } ?>
				</a>
			</div>
			<?php
            }  
			}
			if(current_user_can('administrator')){			
			?>				
             <div class="admania-adeditablead1 admania_lvetresitem56">				
			 <i class="fa fa-edit"></i>
			 <?php esc_html_e('Edit','ad-mania'); ?>
			 </div>			
			 
			<?php } ?>
	</div>
	<?php endif;
	}
	}
	?>
		</div>
		</div>
	</div>
	<?php if(has_nav_menu('admania-primary-menu')): ?>
	<div class="admania-header-seven-bottom">	
		<div class="admania-headerinner">
			    <div class="admania-mb-pm-menu-style">
					<span class="admania-mb-pm-menu-bar"></span>
				</div>
				<nav class="admania_menu admania-lay7-menu admania-push-out-menu" itemscope="itemscope" itemtype="http://schema.org/SiteNavigationElement">
					<div class="admania-mb-pm-menu-close">					
					</div>
					<span class="admania-popup-menu-logo">
						<a href="<?php echo esc_url(home_url('/'));  ?>" title="<?php bloginfo( 'name' ); ?>" class="admania-fontstlye">
							<?php bloginfo( 'name' ); ?>
						</a>  
						<p><?php bloginfo( 'description' );  ?></p>						
					</span>
					<?php 
					$admania_walker = new admania_walker_nav_menu;
					wp_nav_menu(array( 'menu' => 'admania-primary-menu', 'theme_location' => 'admania-primary-menu','walker' => $admania_walker ) );  
					?>
				</nav>	
			
		</div>
	</div>
	<?php endif; ?>
</div>